/* Autogenerated file, DO NOT EDIT manually! generated by perf-equations-codegen.py
 *
 * Copyright (c) 2018 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#include <stdlib.h>
#include <string.h>

#include <i915_drm.h>

#include "i915/perf.h"
#include "i915_perf_equations.h"

#define MIN(x, y) (((x) < (y)) ? (x) : (y))
#define MAX(a, b) (((a) > (b)) ? (a) : (b))

double
percentage_max_callback_float(const struct intel_perf *perf,
                              const struct intel_perf_metric_set *metric_set,
                              uint64_t *accumulator)
{
   return 100;
}

uint64_t
percentage_max_callback_uint64(const struct intel_perf *perf,
                               const struct intel_perf_metric_set *metric_set,
                               uint64_t *accumulator)
{
   return 100;
}


/* Render Metrics Basic set :: GPU Time Elapsed */
uint64_t
hsw__render_basic__gpu_time__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: GPU_TIME 0 READ 1000000000 UMUL $GpuTimestampFrequency UDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_time_offset + 0];
    uint64_t tmp1 = tmp0 * 1000000000;
    uint64_t tmp2 = tmp1;
    uint64_t tmp3 = perf->devinfo.timestamp_frequency;
    uint64_t tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: GPU Core Clocks */
uint64_t
hsw__render_basic__gpu_core_clocks__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 2 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];

    return tmp0;
}

/* Render Metrics Basic set :: AVG GPU Core Frequency */
uint64_t
hsw__render_basic__avg_gpu_core_frequency__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 1000000000 UMUL $GpuTime UDIV */
    uint64_t tmp0 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 1000000000;
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: AVG GPU Core Frequency */
uint64_t
hsw__render_basic__avg_gpu_core_frequency__max(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: $GpuMaxFrequency */

    return perf->devinfo.gt_max_freq;
}

/* Render Metrics Basic set :: VS Threads Dispatched */
uint64_t
hsw__render_basic__vs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 5 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 5];

    return tmp0;
}

/* Render Metrics Basic set :: TCS Threads Dispatched */
uint64_t
hsw__render_basic__hs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 10 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 10];

    return tmp0;
}

/* Render Metrics Basic set :: TES Threads Dispatched */
uint64_t
hsw__render_basic__ds_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 15 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 15];

    return tmp0;
}

/* Render Metrics Basic set :: GS Threads Dispatched */
uint64_t
hsw__render_basic__gs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 25 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 25];

    return tmp0;
}

/* Render Metrics Basic set :: FS Threads Dispatched */
uint64_t
hsw__render_basic__ps_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 30 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 30];

    return tmp0;
}

/* Render Metrics Basic set :: CS Threads Dispatched */
uint64_t
hsw__render_basic__cs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 20 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 20];

    return tmp0;
}

/* Render Metrics Basic set :: GPU Busy */
double
hsw__render_basic__gpu_busy__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 41 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 41];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: EU Active */
double
hsw__render_basic__eu_active__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: A 0 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: EU Stall */
double
hsw__render_basic__eu_stall__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 1 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: VS EU Active */
double
hsw__render_basic__vs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 2 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: VS AVG Active per Thread */
uint64_t
hsw__render_basic__vs_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 2 READ $VsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__vs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: VS AVG Stall per Thread */
uint64_t
hsw__render_basic__vs_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 3 READ $VsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__vs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: VS EU Stall */
double
hsw__render_basic__vs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 3 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: TCS EU Active */
double
hsw__render_basic__hs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 7 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: TCS AVG Active per Thread */
uint64_t
hsw__render_basic__hs_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 7 READ $HsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__hs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: TCS AVG Stall per Thread */
uint64_t
hsw__render_basic__hs_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 8 READ $HsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__hs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: TCS EU Stall */
double
hsw__render_basic__hs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 8 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: TES EU Active */
double
hsw__render_basic__ds_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 12 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: TES AVG Active per Thread */
uint64_t
hsw__render_basic__ds_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 12 READ $DsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__ds_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: TES AVG Stall per Thread */
uint64_t
hsw__render_basic__ds_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $DsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__ds_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: TES EU Stall */
double
hsw__render_basic__ds_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: GS EU Active */
double
hsw__render_basic__gs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 22 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: GS AVG Active per Thread */
uint64_t
hsw__render_basic__gs_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 22 READ $GsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__gs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: GS AVG Stall per Thread */
uint64_t
hsw__render_basic__gs_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 23 READ $GsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__gs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: GS EU Stall */
double
hsw__render_basic__gs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 23 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: CS EU Active */
double
hsw__render_basic__cs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 17 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: CS AVG Active per Thread */
uint64_t
hsw__render_basic__cs_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 17 READ $CsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__cs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: CS AVG Stall per Thread */
uint64_t
hsw__render_basic__cs_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 18 READ $CsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__cs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: CS EU Stall */
double
hsw__render_basic__cs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 18 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: FS EU Active */
double
hsw__render_basic__ps_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 27 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: FS AVG Active per Thread */
uint64_t
hsw__render_basic__ps_eu_active_per_thread__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 27 READ $PsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__ps_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: FS AVG Stall per Thread */
uint64_t
hsw__render_basic__ps_eu_stall_per_thread__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 28 READ $PsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__render_basic__ps_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: FS EU Stall */
double
hsw__render_basic__ps_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 28 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: Sampler 0 Busy */
double
hsw__render_basic__sampler0_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 0 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler 1 Busy */
double
hsw__render_basic__sampler1_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 1 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Samplers Busy */
double
hsw__render_basic__samplers_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 0 READ  B 1 READ UADD $GpuCoreClocks FDIV 2 FDIV 100 FMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    double tmp6 = tmp5;
    double tmp7 = 2;
    double tmp8 = tmp7 ? tmp6 / tmp7 : 0;
    double tmp9 = tmp8 * 100;

    return tmp9;
}

/* Render Metrics Basic set :: Sampler 0 Bottleneck */
double
hsw__render_basic__sampler0_bottleneck__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 2 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler 1 Bottleneck */
double
hsw__render_basic__sampler1_bottleneck__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 3 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler 0 Texels LOD0 */
uint64_t
hsw__render_basic__sampler0_texels__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: B 4 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Sampler 1 Texels LOD0 */
uint64_t
hsw__render_basic__sampler1_texels__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: B 5 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Sampler Texels LOD0 */
uint64_t
hsw__render_basic__sampler_texels__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: $Sampler0Texels $Sampler1Texels UADD $EuSlicesTotalCount UMUL */
    uint64_t tmp0 = hsw__render_basic__sampler0_texels__read(perf, metric_set, accumulator) + hsw__render_basic__sampler1_texels__read(perf, metric_set, accumulator);
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_slices;

    return tmp1;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
hsw__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: B 6 READ B 7 READ UADD 2 UMUL $EuSlicesTotalCount UMUL 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;
    uint64_t tmp4 = tmp3 * perf->devinfo.n_eu_slices;
    uint64_t tmp5 = tmp4 * 64;

    return tmp5;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
hsw__render_basic__l3_sampler_throughput__max(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL $EuSlicesTotalCount UMUL */
    uint64_t tmp0 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_slices;

    return tmp1;
}

/* Render Metrics Basic set :: Early Hi-Depth Test Fails */
uint64_t
hsw__render_basic__hi_depth_test_fails__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: A 33 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 33];

    return tmp0;
}

/* Render Metrics Basic set :: Early Depth Test Fails */
uint64_t
hsw__render_basic__early_depth_test_fails__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 35 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 35];

    return tmp0;
}

/* Render Metrics Basic set :: Samples Killed in FS */
uint64_t
hsw__render_basic__samples_killed_in_ps__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 36 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 36];

    return tmp0;
}

/* Render Metrics Basic set :: Alpha Test Fails */
uint64_t
hsw__render_basic__alpha_test_fails__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: A 37 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 37];

    return tmp0;
}

/* Render Metrics Basic set :: Late Stencil Test Fails */
uint64_t
hsw__render_basic__post_ps_stencil_test_fails__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: A 38 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 38];

    return tmp0;
}

/* Render Metrics Basic set :: Late Depth Test Fails */
uint64_t
hsw__render_basic__post_ps_depth_test_fails__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: A 39 READ $SamplesKilledInPs USUB */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 39];
    uint64_t tmp1 = tmp0 - hsw__render_basic__samples_killed_in_ps__read(perf, metric_set, accumulator);

    return tmp1;
}

/* Render Metrics Basic set :: Samples Written */
uint64_t
hsw__render_basic__samples_written__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 40 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 40];

    return tmp0;
}

/* Render Metrics Basic set :: Samples Blended */
uint64_t
hsw__render_basic__samples_blended__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 5 READ $EuSlicesTotalCount 4 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = perf->devinfo.n_eu_slices * 4;
    uint64_t tmp2 = tmp0 * tmp1;

    return tmp2;
}

/* Render Metrics Basic set :: GTI Fixed Pipe Throughput */
uint64_t
hsw__render_basic__gti_vf_throughput__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 1 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Fixed Pipe Throughput */
uint64_t
hsw__render_basic__gti_vf_throughput__max(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL */
    uint64_t tmp0 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Render Metrics Basic set :: GTI Depth Throughput */
uint64_t
hsw__render_basic__gti_depth_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 0 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI RCC Throughput */
uint64_t
hsw__render_basic__gti_rcc_throughput__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 3 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI L3 Throughput */
uint64_t
hsw__render_basic__gti_l3_throughput__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 4 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
hsw__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: C 6 READ 128 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = tmp0 * 128;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
hsw__render_basic__gti_write_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 7 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
hsw__render_basic__gti_write_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 32 UMUL */
    uint64_t tmp0 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 32;

    return tmp0;
}

/* Render Metrics Basic set :: LLC GPU Accesses */
uint64_t
hsw__render_basic__llc_accesses__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: PERFCNT 0 READ */
    uint64_t tmp0 = accumulator[metric_set->perfcnt_offset + 0];

    return tmp0;
}

/* Render Metrics Basic set :: LLC GPU Hits */
uint64_t
hsw__render_basic__llc_hits__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: PERFCNT 1 READ */
    uint64_t tmp0 = accumulator[metric_set->perfcnt_offset + 1];

    return tmp0;
}

/* Render Metrics Basic set :: LLC GPU Throughput */
uint64_t
hsw__render_basic__llc_gpu_throughput__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: PERFCNT 0 READ C 7 READ USUB 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->perfcnt_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Render Metrics Basic set :: FS Duration */
uint64_t
hsw__render_basic__ps_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 27 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 28 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: VS Duration */
uint64_t
hsw__render_basic__vs_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 2 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 3 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: GS Duration */
uint64_t
hsw__render_basic__gs_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 22 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 23 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: TES Duration */
uint64_t
hsw__render_basic__ds_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 12 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 13 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: TCS Duration */
uint64_t
hsw__render_basic__hs_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 7 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 8 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: CS Duration */
uint64_t
hsw__render_basic__cs_duration__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 17 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 18 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Render Metrics Basic set :: Sampler Bottleneck */
double
hsw__render_basic__sampler_bottleneck__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: $Sampler0Bottleneck $Sampler1Bottleneck FMAX */
    double tmp0 = hsw__render_basic__sampler0_bottleneck__read(perf, metric_set, accumulator);
    double tmp1 = hsw__render_basic__sampler1_bottleneck__read(perf, metric_set, accumulator);
    double tmp2 = MAX(tmp0, tmp1);

    return tmp2;
}

/* Render Metrics Basic set :: EU Idle */
double
hsw__render_basic__eu_idle__read(const struct intel_perf *perf,
                                 const struct intel_perf_metric_set *metric_set,
                                 uint64_t *accumulator)
{
    /* RPN equation: 100 $EuActive $EuStall FADD FSUB */
    double tmp0 = hsw__render_basic__eu_active__read(perf, metric_set, accumulator) + hsw__render_basic__eu_stall__read(perf, metric_set, accumulator);
    double tmp1 = 100 - tmp0;

    return tmp1;
}

/* Compute Metrics Basic set :: Typed Bytes Read */
uint64_t
hsw__compute_basic__typed_bytes_read__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
hsw__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 6 READ B 7 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: Typed Atomics */
uint64_t
hsw__compute_basic__typed_atomics__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ UADD $EuSlicesTotalCount UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * perf->devinfo.n_eu_slices;

    return tmp3;
}

/* Compute Metrics Basic set :: Untyped Bytes Read */
uint64_t
hsw__compute_basic__untyped_bytes_read__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: Untyped Writes */
uint64_t
hsw__compute_basic__untyped_bytes_written__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 2 READ B 3 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: SLM Bytes Read */
uint64_t
hsw__compute_basic__slm_bytes_read__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 6 READ C 7 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: SLM Bytes Written */
uint64_t
hsw__compute_basic__slm_bytes_written__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Extended set :: GPU Core Clocks */
uint64_t
hsw__compute_extended__gpu_clocks__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: B 7 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];

    return tmp0;
}

/* Compute Metrics Extended set :: EuUntypedReads0 */
uint64_t
hsw__compute_extended__eu_untyped_reads0__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: B 0 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];

    return tmp0;
}

/* Compute Metrics Extended set :: EuTypedReads0 */
uint64_t
hsw__compute_extended__eu_typed_reads0__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 2 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];

    return tmp0;
}

/* Compute Metrics Extended set :: EuUntypedWrites0 */
uint64_t
hsw__compute_extended__eu_untyped_writes0__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 1 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];

    return tmp0;
}

/* Compute Metrics Extended set :: EuTypedWrites0 */
uint64_t
hsw__compute_extended__eu_typed_writes0__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 3 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];

    return tmp0;
}

/* Compute Metrics Extended set :: EuUntypedAtomics0 */
uint64_t
hsw__compute_extended__eu_untyped_atomics0__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: B 4 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];

    return tmp0;
}

/* Compute Metrics Extended set :: EuTypedAtomics0 */
uint64_t
hsw__compute_extended__eu_typed_atomics0__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: B 5 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];

    return tmp0;
}

/* Compute Metrics Extended set :: EuUrbAtomics0 */
uint64_t
hsw__compute_extended__eu_urb_atomics0__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 6 READ */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];

    return tmp0;
}

/* Compute Metrics Extended set :: Typed Writes 0 */
uint64_t
hsw__compute_extended__typed_writes0__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 0 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];

    return tmp0;
}

/* Compute Metrics Extended set :: Untyped Reads 0 */
uint64_t
hsw__compute_extended__untyped_reads0__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 3 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];

    return tmp0;
}

/* Compute Metrics Extended set :: Untyped Writes 0 */
uint64_t
hsw__compute_extended__untyped_writes0__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: C 1 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];

    return tmp0;
}

/* Compute Metrics Extended set :: Typed Atomics 0 */
uint64_t
hsw__compute_extended__typed_atomics0__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 4 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];

    return tmp0;
}

/* Compute Metrics Extended set :: TypedReadsPerCacheLine */
double
hsw__compute_extended__typed_reads_per_cache_line__read(const struct intel_perf *perf,
                                                        const struct intel_perf_metric_set *metric_set,
                                                        uint64_t *accumulator)
{
    /* RPN equation: $EuTypedReads0 $TypedReads0 FDIV */
    double tmp0 = hsw__compute_extended__eu_typed_reads0__read(perf, metric_set, accumulator);
    double tmp1 = hsw__compute_extended__typed_reads0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended set :: TypedWritesPerCacheLine */
double
hsw__compute_extended__typed_writes_per_cache_line__read(const struct intel_perf *perf,
                                                         const struct intel_perf_metric_set *metric_set,
                                                         uint64_t *accumulator)
{
    /* RPN equation: $EuTypedWrites0 $TypedWrites0 FDIV */
    double tmp0 = hsw__compute_extended__eu_typed_writes0__read(perf, metric_set, accumulator);
    double tmp1 = hsw__compute_extended__typed_writes0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended set :: UntypedReadsPerCacheLine */
double
hsw__compute_extended__untyped_reads_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedReads0 $UntypedReads0 FDIV */
    double tmp0 = hsw__compute_extended__eu_untyped_reads0__read(perf, metric_set, accumulator);
    double tmp1 = hsw__compute_extended__untyped_reads0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended set :: UntypedWritesPerCacheLine */
double
hsw__compute_extended__untyped_writes_per_cache_line__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedWrites0 $UntypedWrites0 FDIV */
    double tmp0 = hsw__compute_extended__eu_untyped_writes0__read(perf, metric_set, accumulator);
    double tmp1 = hsw__compute_extended__untyped_writes0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended set :: TypedAtomicsPerCacheLine */
double
hsw__compute_extended__typed_atomics_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuTypedAtomics0 $TypedAtomics0 FDIV */
    double tmp0 = hsw__compute_extended__eu_typed_atomics0__read(perf, metric_set, accumulator);
    double tmp1 = hsw__compute_extended__typed_atomics0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Memory Reads Distribution set :: GPU Core Clocks */
uint64_t
hsw__memory_reads__gpu_core_clocks__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 7 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];

    return tmp0;
}

/* Memory Reads Distribution set :: AVG GPU Core Frequency */
uint64_t
hsw__memory_reads__avg_gpu_core_frequency__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 1000000000 UMUL $GpuTime UDIV */
    uint64_t tmp0 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator) * 1000000000;
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__memory_reads__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Memory Reads Distribution set :: GPU Busy */
double
hsw__memory_reads__gpu_busy__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 41 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 41];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Memory Reads Distribution set :: EU Active */
double
hsw__memory_reads__eu_active__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: A 0 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: EU Stall */
double
hsw__memory_reads__eu_stall__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 1 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: VS EU Active */
double
hsw__memory_reads__vs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 2 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: VS EU Stall */
double
hsw__memory_reads__vs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 3 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: TCS EU Active */
double
hsw__memory_reads__hs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 7 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: TCS EU Stall */
double
hsw__memory_reads__hs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 8 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: TES EU Active */
double
hsw__memory_reads__ds_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 12 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: TES EU Stall */
double
hsw__memory_reads__ds_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: GS EU Active */
double
hsw__memory_reads__gs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 22 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: GS EU Stall */
double
hsw__memory_reads__gs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 23 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: CS EU Active */
double
hsw__memory_reads__cs_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 17 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: CS EU Stall */
double
hsw__memory_reads__cs_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 18 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: FS EU Active */
double
hsw__memory_reads__ps_eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 27 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: FS EU Stall */
double
hsw__memory_reads__ps_eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 28 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__memory_reads__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Memory Reads Distribution set :: GtiMemoryReads */
uint64_t
hsw__memory_reads__gti_memory_reads__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: C 5 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];

    return tmp0;
}

/* Memory Reads Distribution set :: LLC GPU Read Accesses */
uint64_t
hsw__memory_reads__llc_read_accesses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 6 READ */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];

    return tmp0;
}

/* Memory Writes Distribution set :: LLC GPU Write Accesses */
uint64_t
hsw__memory_writes__llc_wr_accesses__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: C 6 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Memory Writes Distribution set :: LLC GPU Throughput */
uint64_t
hsw__memory_writes__llc_gpu_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: PERFCNT 0 READ $LlcWrAccesses USUB 64 UMUL $LlcWrAccesses 32 UMUL UADD */
    uint64_t tmp0 = accumulator[metric_set->perfcnt_offset + 0];
    uint64_t tmp1 = tmp0 - hsw__memory_writes__llc_wr_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp2 = tmp1 * 64;
    uint64_t tmp3 = hsw__memory_writes__llc_wr_accesses__read(perf, metric_set, accumulator) * 32;
    uint64_t tmp4 = tmp2 + tmp3;

    return tmp4;
}

/* Metric set SamplerBalance :: AVG GPU Core Frequency */
uint64_t
hsw__sampler_balance__avg_gpu_core_frequency__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 1000000000 UMUL $GpuTime UDIV */
    uint64_t tmp0 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * 1000000000;
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Metric set SamplerBalance :: GPU Busy */
double
hsw__sampler_balance__gpu_busy__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 41 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 41];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Metric set SamplerBalance :: EU Active */
double
hsw__sampler_balance__eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 0 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: EU Stall */
double
hsw__sampler_balance__eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 1 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: VS EU Active */
double
hsw__sampler_balance__vs_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 2 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: VS EU Stall */
double
hsw__sampler_balance__vs_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 3 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: TCS EU Active */
double
hsw__sampler_balance__hs_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 7 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: TCS EU Stall */
double
hsw__sampler_balance__hs_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 8 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: TES EU Active */
double
hsw__sampler_balance__ds_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 12 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: TES EU Stall */
double
hsw__sampler_balance__ds_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: GS EU Active */
double
hsw__sampler_balance__gs_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 22 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: GS EU Stall */
double
hsw__sampler_balance__gs_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 23 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: CS EU Active */
double
hsw__sampler_balance__cs_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 17 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: CS EU Stall */
double
hsw__sampler_balance__cs_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 18 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: FS EU Active */
double
hsw__sampler_balance__ps_eu_active__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 27 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: FS EU Stall */
double
hsw__sampler_balance__ps_eu_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 28 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Metric set SamplerBalance :: FS Duration */
uint64_t
hsw__sampler_balance__ps_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 27 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 28 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: VS Duration */
uint64_t
hsw__sampler_balance__vs_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 2 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 3 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: GS Duration */
uint64_t
hsw__sampler_balance__gs_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 22 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 23 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: TES Duration */
uint64_t
hsw__sampler_balance__ds_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 12 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 13 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: TCS Duration */
uint64_t
hsw__sampler_balance__hs_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 7 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 8 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: CS Duration */
uint64_t
hsw__sampler_balance__cs_duration__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 17 READ  A 0 READ UMUL  A 2 READ  A 7 READ UADD  A 12 READ UADD  A 17 READ UADD  A 22 READ UADD  A 27 READ UADD UDIV  A 18 READ  A 1 READ UMUL  A 3 READ  A 8 READ UADD  A 13 READ UADD  A 18 READ UADD  A 23 READ UADD  A 28 READ UADD UDIV UADD $GpuTime UMUL $GpuCoreClocks $EuCoresTotalCount UMUL 1000 UMUL UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 2];
    uint64_t tmp4 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = tmp2;
    uint64_t tmp15 = tmp13;
    uint64_t tmp16 = tmp15 ? tmp14 / tmp15 : 0;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp18 = accumulator[metric_set->a_offset + 1];
    uint64_t tmp19 = tmp17 * tmp18;
    uint64_t tmp20 = accumulator[metric_set->a_offset + 3];
    uint64_t tmp21 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp22 = tmp20 + tmp21;
    uint64_t tmp23 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp28 = tmp26 + tmp27;
    uint64_t tmp29 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp30 = tmp28 + tmp29;
    uint64_t tmp31 = tmp19;
    uint64_t tmp32 = tmp30;
    uint64_t tmp33 = tmp32 ? tmp31 / tmp32 : 0;
    uint64_t tmp34 = tmp16 + tmp33;
    uint64_t tmp35 = tmp34 * hsw__sampler_balance__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp36 = hsw__sampler_balance__gpu_core_clocks__read(perf, metric_set, accumulator) * perf->devinfo.n_eus;
    uint64_t tmp37 = tmp36 * 1000;
    uint64_t tmp38 = tmp35;
    uint64_t tmp39 = tmp37;
    uint64_t tmp40 = tmp39 ? tmp38 / tmp39 : 0;

    return tmp40;
}

/* Metric set SamplerBalance :: EU Idle */
double
hsw__sampler_balance__eu_idle__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: 100 $EuActive $EuStall FADD FSUB */
    double tmp0 = hsw__sampler_balance__eu_active__read(perf, metric_set, accumulator) + hsw__sampler_balance__eu_stall__read(perf, metric_set, accumulator);
    double tmp1 = 100 - tmp0;

    return tmp1;
}

/* Metric set SamplerBalance :: Sampler L2 cache misses */
uint64_t
hsw__sampler_balance__sampler_l2_cache_misses__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ UADD C 5 READ UADD C 4 READ UADD C 3 READ UADD C 2 READ UADD C 1 READ UADD C 0 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp8 = tmp6 + tmp7;
    uint64_t tmp9 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp10 = tmp8 + tmp9;
    uint64_t tmp11 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp12 = tmp10 + tmp11;
    uint64_t tmp13 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp14 = tmp12 + tmp13;

    return tmp14;
}

/* Metric set SamplerBalance :: Sampler L2 cache misses (ss0) */
uint64_t
hsw__sampler_balance__sampler0_l2_cache_misses__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Metric set SamplerBalance :: Sampler L2 cache misses (ss1) */
uint64_t
hsw__sampler_balance__sampler1_l2_cache_misses__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: C 5 READ C 4 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Metric set SamplerBalance :: Sampler L2 cache misses (ss2) */
uint64_t
hsw__sampler_balance__sampler2_l2_cache_misses__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: C 3 READ C 2 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Metric set SamplerBalance :: Sampler L2 cache misses (ss3) */
uint64_t
hsw__sampler_balance__sampler3_l2_cache_misses__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: C 1 READ C 0 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Render Metrics Basic set :: GPU Core Clocks */
uint64_t
bdw__render_basic__gpu_core_clocks__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];

    return tmp0;
}

/* Render Metrics Basic set :: AVG GPU Core Frequency */
uint64_t
bdw__render_basic__avg_gpu_core_frequency__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 1000000000 UMUL $GpuTime UDIV */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 1000000000;
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = bdw__render_basic__gpu_time__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Render Metrics Basic set :: VS Threads Dispatched */
uint64_t
bdw__render_basic__vs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 1 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 1];

    return tmp0;
}

/* Render Metrics Basic set :: HS Threads Dispatched */
uint64_t
bdw__render_basic__hs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 2 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 2];

    return tmp0;
}

/* Render Metrics Basic set :: DS Threads Dispatched */
uint64_t
bdw__render_basic__ds_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 3 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 3];

    return tmp0;
}

/* Render Metrics Basic set :: FS Threads Dispatched */
uint64_t
bdw__render_basic__ps_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 6 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 6];

    return tmp0;
}

/* Render Metrics Basic set :: CS Threads Dispatched */
uint64_t
bdw__render_basic__cs_threads__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: A 4 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 4];

    return tmp0;
}

/* Render Metrics Basic set :: GPU Busy */
double
bdw__render_basic__gpu_busy__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 0 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 0];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: EU Active */
double
bdw__render_basic__eu_active__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: A 7 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: EU Stall */
double
bdw__render_basic__eu_stall__read(const struct intel_perf *perf,
                                  const struct intel_perf_metric_set *metric_set,
                                  uint64_t *accumulator)
{
    /* RPN equation: A 8 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: EU Both FPU Pipes Active */
double
bdw__render_basic__eu_fpu_both_active__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: A 9 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 9];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: VS FPU0 Pipe Active */
double
bdw__render_basic__vs_fpu0_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 10 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 10];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: VS FPU1 Pipe Active */
double
bdw__render_basic__vs_fpu1_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 11 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 11];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: VS Send Pipe Active */
double
bdw__render_basic__vs_send_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 12 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 12];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: PS FPU0 Pipe Active */
double
bdw__render_basic__ps_fpu0_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 15 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 15];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: PS FPU1 Pipe Active */
double
bdw__render_basic__ps_fpu1_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 16 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 16];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: PS Send Pipeline Active */
double
bdw__render_basic__ps_send_active__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 17 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: FS Both FPU Active */
double
bdw__render_basic__ps_eu_both_fpu_active__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: A 18 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 18];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Render Metrics Basic set :: Sampler 0 Busy */
double
bdw__render_basic__sampler0_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 0 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler 1 Busy */
double
bdw__render_basic__sampler1_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 1 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Samplers Busy */
double
bdw__render_basic__samplers_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: $Sampler0Busy $Sampler1Busy FMAX */
    double tmp0 = bdw__render_basic__sampler0_busy__read(perf, metric_set, accumulator);
    double tmp1 = bdw__render_basic__sampler1_busy__read(perf, metric_set, accumulator);
    double tmp2 = MAX(tmp0, tmp1);

    return tmp2;
}

/* Render Metrics Basic set :: Sampler 0 Bottleneck */
double
bdw__render_basic__sampler0_bottleneck__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 2 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler 1 Bottleneck */
double
bdw__render_basic__sampler1_bottleneck__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 3 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics Basic set :: Samples Written */
uint64_t
bdw__render_basic__samples_written__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 26 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 26];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Samples Blended */
uint64_t
bdw__render_basic__samples_blended__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 27 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 27];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Sampler Texels */
uint64_t
bdw__render_basic__sampler_texels__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 28 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Sampler Texels Misses */
uint64_t
bdw__render_basic__sampler_texel_misses__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 29 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 29];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
bdw__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ UADD 8 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 8;

    return tmp3;
}

/* Render Metrics Basic set :: Rasterized Pixels */
uint64_t
bdw__render_basic__rasterized_pixels__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: A 21 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 21];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Early Hi-Depth Test Fails */
uint64_t
bdw__render_basic__hi_depth_test_fails__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: A 22 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 22];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Early Depth Test Fails */
uint64_t
bdw__render_basic__early_depth_test_fails__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 23 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 23];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Samples Killed in FS */
uint64_t
bdw__render_basic__samples_killed_in_ps__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 24 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 24];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: Pixels Failing Tests */
uint64_t
bdw__render_basic__pixels_failing_post_ps_tests__read(const struct intel_perf *perf,
                                                      const struct intel_perf_metric_set *metric_set,
                                                      uint64_t *accumulator)
{
    /* RPN equation: A 25 READ 4 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 25];
    uint64_t tmp1 = tmp0 * 4;

    return tmp1;
}

/* Render Metrics Basic set :: SLM Bytes Read */
uint64_t
bdw__render_basic__slm_bytes_read__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 30 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 30];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: SLM Bytes Read */
uint64_t
bdw__render_basic__slm_bytes_read__max(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL $EuSubslicesTotalCount UMUL */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_sub_slices;

    return tmp1;
}

/* Render Metrics Basic set :: SLM Bytes Written */
uint64_t
bdw__render_basic__slm_bytes_written__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: A 31 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 31];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: Shader Memory Accesses */
uint64_t
bdw__render_basic__shader_memory_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: A 32 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 32];

    return tmp0;
}

/* Render Metrics Basic set :: Shader Atomic Memory Accesses */
uint64_t
bdw__render_basic__shader_atomics__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: A 34 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 34];

    return tmp0;
}

/* Render Metrics Basic set :: L3 Lookup Accesses w/o IC */
uint64_t
bdw__render_basic__l3_lookups__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses $ShaderMemoryAccesses UADD */
    uint64_t tmp0 = bdw__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) + bdw__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator);

    return tmp0;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
bdw__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses 64 UMUL */
    uint64_t tmp0 = bdw__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Render Metrics Basic set :: L3 Shader Throughput */
uint64_t
bdw__render_basic__l3_shader_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 30 READ  A 31 READ $ShaderMemoryAccesses UADD UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 30];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 31];
    uint64_t tmp2 = tmp1 + bdw__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp0 + tmp2;
    uint64_t tmp4 = tmp3 * 64;

    return tmp4;
}

/* Render Metrics Basic set :: L3 Shader Throughput */
uint64_t
bdw__render_basic__l3_shader_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL 2 UMUL $EuSubslicesTotalCount UMUL */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * 2;
    uint64_t tmp2 = tmp1 * perf->devinfo.n_eu_sub_slices;

    return tmp2;
}

/* Render Metrics Basic set :: GTI Fixed Pipe Throughput */
uint64_t
bdw__render_basic__gti_vf_throughput__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 6 READ B 7 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Render Metrics Basic set :: GTI Fixed Pipe Throughput */
uint64_t
bdw__render_basic__gti_vf_throughput__max(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Render Metrics Basic set :: GTI Depth Throughput */
uint64_t
bdw__render_basic__gti_depth_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Render Metrics Basic set :: GTI Depth Throughput */
uint64_t
bdw__render_basic__gti_depth_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL $EuSlicesTotalCount UMUL */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_slices;

    return tmp1;
}

/* Render Metrics Basic set :: GTI RCC Throughput */
uint64_t
bdw__render_basic__gti_rcc_throughput__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 2 READ C 3 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Render Metrics Basic set :: GTI HDC TLB Lookup Throughput */
uint64_t
bdw__render_basic__gti_hdc_lookups_throughput__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: C 5 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
bdw__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: C 6 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
bdw__render_basic__gti_write_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 32 UMUL */
    uint64_t tmp0 = bdw__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 32;

    return tmp0;
}

/* Render Metrics Basic set :: Samplers Bottleneck */
double
bdw__render_basic__sampler_bottleneck__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: $Sampler0Bottleneck $Sampler1Bottleneck FMAX */
    double tmp0 = bdw__render_basic__sampler0_bottleneck__read(perf, metric_set, accumulator);
    double tmp1 = bdw__render_basic__sampler1_bottleneck__read(perf, metric_set, accumulator);
    double tmp2 = MAX(tmp0, tmp1);

    return tmp2;
}

/* Compute Metrics Basic set :: EU AVG IPC Rate */
double
bdw__compute_basic__eu_avg_ipc_rate__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: A 9 READ  A 10 READ  A 11 READ UADD  A 9 READ USUB FDIV 1 FADD */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 9];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 10];
    uint64_t tmp2 = accumulator[metric_set->a_offset + 11];
    uint64_t tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = accumulator[metric_set->a_offset + 9];
    uint64_t tmp5 = tmp3 - tmp4;
    double tmp6 = tmp0;
    double tmp7 = tmp5;
    double tmp8 = tmp7 ? tmp6 / tmp7 : 0;
    double tmp9 = tmp8 + 1;

    return tmp9;
}

/* Compute Metrics Basic set :: EU AVG IPC Rate */
double
bdw__compute_basic__eu_avg_ipc_rate__max(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: 2 */

    return 2;
}

/* Compute Metrics Basic set :: EU Thread Occupancy */
double
bdw__compute_basic__eu_thread_occupancy__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 13 READ 8 UMUL $EuCoresTotalCount UDIV $EuThreadsCount UDIV 100 UMUL  $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0 * 8;
    uint64_t tmp2 = tmp1;
    uint64_t tmp3 = perf->devinfo.n_eus;
    uint64_t tmp4 = tmp3 ? tmp2 / tmp3 : 0;
    uint64_t tmp5 = tmp4;
    uint64_t tmp6 = perf->devinfo.eu_threads_count;
    uint64_t tmp7 = tmp6 ? tmp5 / tmp6 : 0;
    uint64_t tmp8 = tmp7 * 100;
    double tmp9 = tmp8;
    double tmp10 = bdw__compute_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp11 = tmp10 ? tmp9 / tmp10 : 0;

    return tmp11;
}

/* Compute Metrics Basic set :: Typed Bytes Read */
uint64_t
bdw__compute_basic__typed_bytes_read__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ B 2 READ UADD UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = tmp0 + tmp3;
    uint64_t tmp5 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp6 = tmp4 * tmp5;

    return tmp6;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
bdw__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 3 READ B 4 READ B 5 READ UADD UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = tmp0 + tmp3;
    uint64_t tmp5 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp6 = tmp4 * tmp5;

    return tmp6;
}

/* Compute Metrics Basic set :: Untyped Bytes Read */
uint64_t
bdw__compute_basic__untyped_bytes_read__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 6 READ B 7 READ C 0 READ UADD UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp2 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = tmp0 + tmp3;
    uint64_t tmp5 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp6 = tmp4 * tmp5;

    return tmp6;
}

/* Compute Metrics Basic set :: Untyped Writes */
uint64_t
bdw__compute_basic__untyped_bytes_written__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 1 READ C 2 READ C 3 READ UADD UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = tmp0 + tmp3;
    uint64_t tmp5 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp6 = tmp4 * tmp5;

    return tmp6;
}

/* Render Metrics for 3D Pipeline Profile :: Sampler Accesses */
uint64_t
bdw__render_pipe_profile__sampler_accesses__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: A 28 READ */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 28];

    return tmp0;
}

/* Render Metrics for 3D Pipeline Profile :: VF Bottleneck */
double
bdw__render_pipe_profile__vf_bottleneck__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 0 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: SO Bottleneck */
double
bdw__render_pipe_profile__so_bottleneck__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 4 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: Clipper Bottleneck */
double
bdw__render_pipe_profile__cl_bottleneck__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 5 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: Strip-Fans Bottleneck */
double
bdw__render_pipe_profile__sf_bottleneck__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 6 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: Hi-Depth Bottleneck */
double
bdw__render_pipe_profile__hi_depth_bottleneck__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: C 6 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: Early Depth Bottleneck */
double
bdw__render_pipe_profile__early_depth_bottleneck__read(const struct intel_perf *perf,
                                                       const struct intel_perf_metric_set *metric_set,
                                                       uint64_t *accumulator)
{
    /* RPN equation: B 7 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: BC Bottleneck */
double
bdw__render_pipe_profile__bc_bottleneck__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 7 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: HS Stall */
double
bdw__render_pipe_profile__hs_stall__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 1 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: DS Stall */
double
bdw__render_pipe_profile__ds_stall__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 2 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: SO Stall */
double
bdw__render_pipe_profile__so_stall__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 3 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: CL Stall */
double
bdw__render_pipe_profile__cl_stall__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 4 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Render Metrics for 3D Pipeline Profile :: SF Stall */
double
bdw__render_pipe_profile__sf_stall__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 5 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__render_pipe_profile__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Memory Reads Distribution metric set :: GtiL3Reads */
uint64_t
bdw__memory_reads__gti_l3_reads__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: $GtiL3Bank0Reads $GtiL3Bank1Reads $GtiL3Bank2Reads $GtiL3Bank3Reads UADD UADD UADD */
    uint64_t tmp0 = bdw__memory_reads__gti_l3_bank2_reads__read(perf, metric_set, accumulator) + bdw__memory_reads__gti_l3_bank3_reads__read(perf, metric_set, accumulator);
    uint64_t tmp1 = bdw__memory_reads__gti_l3_bank1_reads__read(perf, metric_set, accumulator) + tmp0;
    uint64_t tmp2 = bdw__memory_reads__gti_l3_bank0_reads__read(perf, metric_set, accumulator) + tmp1;

    return tmp2;
}

/* Memory Reads Distribution metric set :: GtiRingAccesses */
uint64_t
bdw__memory_reads__gti_ring_accesses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 3 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics Extended metric set :: UntypedReadsPerCacheLine */
double
bdw__compute_extended__untyped_reads_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedReads0 $EuA64UntypedReads0 UADD $UntypedReads0 FDIV */
    uint64_t tmp0 = bdw__compute_extended__eu_untyped_reads0__read(perf, metric_set, accumulator) + bdw__compute_extended__eu_a64_untyped_reads0__read(perf, metric_set, accumulator);
    double tmp1 = tmp0;
    double tmp2 = bdw__compute_extended__untyped_reads0__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Compute Metrics Extended metric set :: UntypedWritesPerCacheLine */
double
bdw__compute_extended__untyped_writes_per_cache_line__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedWrites0 $EuA64UntypedWrites0 UADD $UntypedWrites0 FDIV */
    uint64_t tmp0 = bdw__compute_extended__eu_untyped_writes0__read(perf, metric_set, accumulator) + bdw__compute_extended__eu_a64_untyped_writes0__read(perf, metric_set, accumulator);
    double tmp1 = tmp0;
    double tmp2 = bdw__compute_extended__untyped_writes0__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Compute Metrics L3 Cache metric set :: EU FPU0 Hybrid Instruction */
double
bdw__compute_l3_cache__eu_hybrid_fpu0_instruction__read(const struct intel_perf *perf,
                                                        const struct intel_perf_metric_set *metric_set,
                                                        uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__compute_l3_cache__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Compute Metrics L3 Cache metric set :: EU FPU1 Hybrid Instruction */
double
bdw__compute_l3_cache__eu_hybrid_fpu1_instruction__read(const struct intel_perf *perf,
                                                        const struct intel_perf_metric_set *metric_set,
                                                        uint64_t *accumulator)
{
    /* RPN equation: A 14 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 14];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__compute_l3_cache__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Compute Metrics L3 Cache metric set :: EU FPU0 Move Instruction */
double
bdw__compute_l3_cache__eu_move_fpu0_instruction__read(const struct intel_perf *perf,
                                                      const struct intel_perf_metric_set *metric_set,
                                                      uint64_t *accumulator)
{
    /* RPN equation: A 19 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 19];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__compute_l3_cache__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Compute Metrics L3 Cache metric set :: EU FPU1 Move Instruction */
double
bdw__compute_l3_cache__eu_move_fpu1_instruction__read(const struct intel_perf *perf,
                                                      const struct intel_perf_metric_set *metric_set,
                                                      uint64_t *accumulator)
{
    /* RPN equation: A 20 READ $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 20];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = perf->devinfo.n_eus;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    uint64_t tmp4 = tmp3 * 100;
    double tmp5 = tmp4;
    double tmp6 = bdw__compute_l3_cache__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp7 = tmp6 ? tmp5 / tmp6 : 0;

    return tmp7;
}

/* Compute Metrics L3 Cache metric set :: L3 Accesses */
uint64_t
bdw__compute_l3_cache__l3_accesses__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ B 2 READ B 3 READ C 2 READ C 3 READ B 6 READ B 7 READ UADD UADD UADD UADD UADD UADD UADD 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp2 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp3 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp4 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp5 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp6 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp7 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp8 = tmp6 + tmp7;
    uint64_t tmp9 = tmp5 + tmp8;
    uint64_t tmp10 = tmp4 + tmp9;
    uint64_t tmp11 = tmp3 + tmp10;
    uint64_t tmp12 = tmp2 + tmp11;
    uint64_t tmp13 = tmp1 + tmp12;
    uint64_t tmp14 = tmp0 + tmp13;
    uint64_t tmp15 = tmp14 * 2;

    return tmp15;
}

/* Compute Metrics L3 Cache metric set :: L3 Misses */
uint64_t
bdw__compute_l3_cache__l3_misses__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Compute Metrics L3 Cache metric set :: L3 Total Throughput */
uint64_t
bdw__compute_l3_cache__l3_total_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: $L3Accesses 64 UMUL */
    uint64_t tmp0 = bdw__compute_l3_cache__l3_accesses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 00 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank00_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 0 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 01 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank01_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 1 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 02 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank02_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 2 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 03 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank03_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 3 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 10 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank10_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 2 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 12 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank12_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 6 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 13 Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank13_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 7 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 00 IC Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank00_ic_accesses__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ UADD 2 UMUL $L3Bank00Accesses UMIN */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;
    uint64_t tmp4 = MIN(tmp3, bdw__compute_l3_cache__l3_bank00_accesses__read(perf, metric_set, accumulator));

    return tmp4;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 00 IC Hits */
uint64_t
bdw__compute_l3_cache__l3_bank00_ic_hits__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: B 1 READ 2 UMUL $L3Bank00IcAccesses UMIN */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = tmp0 * 2;
    uint64_t tmp2 = MIN(tmp1, bdw__compute_l3_cache__l3_bank00_ic_accesses__read(perf, metric_set, accumulator));

    return tmp2;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 10 IC Accesses */
uint64_t
bdw__compute_l3_cache__l3_bank10_ic_accesses__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ UADD 2 UMUL $L3Bank10Accesses UMIN */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;
    uint64_t tmp4 = MIN(tmp3, bdw__compute_l3_cache__l3_bank10_accesses__read(perf, metric_set, accumulator));

    return tmp4;
}

/* Compute Metrics L3 Cache metric set :: L3 Bank 10 IC Hits */
uint64_t
bdw__compute_l3_cache__l3_bank10_ic_hits__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: B 5 READ 2 UMUL $L3Bank10IcAccesses UMIN */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = tmp0 * 2;
    uint64_t tmp2 = MIN(tmp1, bdw__compute_l3_cache__l3_bank10_ic_accesses__read(perf, metric_set, accumulator));

    return tmp2;
}

/* Compute Metrics L3 Cache metric set :: GTI L3 Throughput */
uint64_t
bdw__compute_l3_cache__gti_l3_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Data Port Reads Coalescing metric set :: All Data Port 0 Reads from L3 */
uint64_t
bdw__data_port_reads_coalescing__hdc0_l3_reads__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: C 3 READ C 2 READ USUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 - tmp1;

    return tmp2;
}

/* Data Port Reads Coalescing metric set :: EuBytesReadPerCacheLine */
double
bdw__data_port_reads_coalescing__eu_bytes_read_per_cache_line__read(const struct intel_perf *perf,
                                                                    const struct intel_perf_metric_set *metric_set,
                                                                    uint64_t *accumulator)
{
    /* RPN equation: $EuHdc0Reads32B 32 UMUL $EuHdc0Reads64B 64 UMUL $EuHdc0Reads128B 128 UMUL $EuHdc0Reads256B 256 UMUL UADD UADD UADD $Hdc0L3DataReads FDIV */
    uint64_t tmp0 = bdw__data_port_reads_coalescing__eu_hdc0_reads32_b__read(perf, metric_set, accumulator) * 32;
    uint64_t tmp1 = bdw__data_port_reads_coalescing__eu_hdc0_reads64_b__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp2 = bdw__data_port_reads_coalescing__eu_hdc0_reads128_b__read(perf, metric_set, accumulator) * 128;
    uint64_t tmp3 = bdw__data_port_reads_coalescing__eu_hdc0_reads256_b__read(perf, metric_set, accumulator) * 256;
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = tmp1 + tmp4;
    uint64_t tmp6 = tmp0 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = bdw__data_port_reads_coalescing__hdc0_l3_data_reads__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* Data Port Reads Coalescing metric set :: EuDataReadsPerCacheLine */
double
bdw__data_port_reads_coalescing__eu_data_reads_per_cache_line__read(const struct intel_perf *perf,
                                                                    const struct intel_perf_metric_set *metric_set,
                                                                    uint64_t *accumulator)
{
    /* RPN equation: $EuBytesReadPerCacheLine 64 FDIV */
    double tmp0 = bdw__data_port_reads_coalescing__eu_bytes_read_per_cache_line__read(perf, metric_set, accumulator);
    double tmp1 = 64;
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Data Port Writes Coalescing metric set :: EU to Data Port 0 Writes 64B */
uint64_t
bdw__data_port_writes_coalescing__eu_hdc0_writes64_b__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: B 1 READ B 4 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Data Port Writes Coalescing metric set :: EU to Data Port 0 Writes 64B */
uint64_t
bdw__data_port_writes_coalescing__eu_hdc0_writes96_b__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: B 2 READ 2 UDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = 2;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Data Port Writes Coalescing metric set :: EU to Data Port 0 Writes 128 */
uint64_t
bdw__data_port_writes_coalescing__eu_hdc0_writes128_b__read(const struct intel_perf *perf,
                                                            const struct intel_perf_metric_set *metric_set,
                                                            uint64_t *accumulator)
{
    /* RPN equation: B 3 READ 2 UDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = 2;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Data Port Writes Coalescing metric set :: EU to Data Port 0 Writes 128 */
uint64_t
bdw__data_port_writes_coalescing__eu_hdc0_writes192_b__read(const struct intel_perf *perf,
                                                            const struct intel_perf_metric_set *metric_set,
                                                            uint64_t *accumulator)
{
    /* RPN equation: B 6 READ 2 UDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = 2;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Data Port Writes Coalescing metric set :: EU to Data Port 0 Writes 256B */
uint64_t
bdw__data_port_writes_coalescing__eu_hdc0_writes256_b_simd16__read(const struct intel_perf *perf,
                                                                   const struct intel_perf_metric_set *metric_set,
                                                                   uint64_t *accumulator)
{
    /* RPN equation: B 7 READ 2 UDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = 2;
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Data Port Writes Coalescing metric set :: EuBytesWrittenPerCacheLine */
double
bdw__data_port_writes_coalescing__eu_bytes_written_per_cache_line__read(const struct intel_perf *perf,
                                                                        const struct intel_perf_metric_set *metric_set,
                                                                        uint64_t *accumulator)
{
    /* RPN equation: $EuHdc0Writes32B 32 UMUL $EuHdc0Writes64B 64 UMUL $EuHdc0Writes96B 96 UMUL $EuHdc0Writes128B 128 UMUL $EuHdc0Writes128BSimd16 128 UMUL $EuHdc0Writes256BSimd16 256 UMUL $EuHdc0Writes192B 192 UMUL UADD UADD UADD UADD UADD UADD $Hdc0L3DataWrites FDIV */
    uint64_t tmp0 = bdw__data_port_writes_coalescing__eu_hdc0_writes32_b__read(perf, metric_set, accumulator) * 32;
    uint64_t tmp1 = bdw__data_port_writes_coalescing__eu_hdc0_writes64_b__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp2 = bdw__data_port_writes_coalescing__eu_hdc0_writes96_b__read(perf, metric_set, accumulator) * 96;
    uint64_t tmp3 = bdw__data_port_writes_coalescing__eu_hdc0_writes128_b__read(perf, metric_set, accumulator) * 128;
    uint64_t tmp4 = bdw__data_port_writes_coalescing__eu_hdc0_writes128_b_simd16__read(perf, metric_set, accumulator) * 128;
    uint64_t tmp5 = bdw__data_port_writes_coalescing__eu_hdc0_writes256_b_simd16__read(perf, metric_set, accumulator) * 256;
    uint64_t tmp6 = bdw__data_port_writes_coalescing__eu_hdc0_writes192_b__read(perf, metric_set, accumulator) * 192;
    uint64_t tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = tmp4 + tmp7;
    uint64_t tmp9 = tmp3 + tmp8;
    uint64_t tmp10 = tmp2 + tmp9;
    uint64_t tmp11 = tmp1 + tmp10;
    uint64_t tmp12 = tmp0 + tmp11;
    double tmp13 = tmp12;
    double tmp14 = bdw__data_port_writes_coalescing__hdc0_l3_data_writes__read(perf, metric_set, accumulator);
    double tmp15 = tmp14 ? tmp13 / tmp14 : 0;

    return tmp15;
}

/* Data Port Writes Coalescing metric set :: EuDataWritesPerCacheLine */
double
bdw__data_port_writes_coalescing__eu_data_writes_per_cache_line__read(const struct intel_perf *perf,
                                                                      const struct intel_perf_metric_set *metric_set,
                                                                      uint64_t *accumulator)
{
    /* RPN equation: $EuBytesWrittenPerCacheLine 64 FDIV */
    double tmp0 = bdw__data_port_writes_coalescing__eu_bytes_written_per_cache_line__read(perf, metric_set, accumulator);
    double tmp1 = 64;
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Metric set HDCAndSF :: L3 Shader Throughput */
uint64_t
bdw__hdc_and_sf__l3_shader_throughput__max(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL $EuSubslicesTotalCount UMUL 2 UMUL */
    uint64_t tmp0 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_sub_slices;
    uint64_t tmp2 = tmp1 * 2;

    return tmp2;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss2) */
double
bdw__hdc_and_sf__non_sampler_shader02_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss1) */
double
bdw__hdc_and_sf__non_sampler_shader01_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 5 READ C 4 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss0) */
double
bdw__hdc_and_sf__non_sampler_shader00_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 3 READ C 2 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss2) */
double
bdw__hdc_and_sf__non_sampler_shader12_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 1 READ C 0 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss1) */
double
bdw__hdc_and_sf__non_sampler_shader11_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 6 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: HDC stalled by L3 (s0.ss0) */
double
bdw__hdc_and_sf__non_sampler_shader10_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: B 5 READ B 4 READ USUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: SQ is full */
double
bdw__hdc_and_sf__gt_request_queue_full__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: PERFCNT 0 READ 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->perfcnt_offset + 0];
    uint64_t tmp1 = tmp0 * 100;
    double tmp2 = tmp1;
    double tmp3 = bdw__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;

    return tmp4;
}

/* Compute Metrics Extra set :: EU FPU1 Pipe Active including Ext Math */
double
bdw__compute_extra__fpu1_active_adjusted__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: A 8 READ  C 5 READ C 6 READ FADD C 7 READ FADD C 2 READ FADD C 3 READ FADD C 4 READ FADD 8 FMUL FADD 100 FMUL $EuCoresTotalCount FDIV $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = accumulator[metric_set->c_offset + 6];
    double tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = accumulator[metric_set->c_offset + 7];
    double tmp5 = tmp3 + tmp4;
    uint64_t tmp6 = accumulator[metric_set->c_offset + 2];
    double tmp7 = tmp5 + tmp6;
    uint64_t tmp8 = accumulator[metric_set->c_offset + 3];
    double tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->c_offset + 4];
    double tmp11 = tmp9 + tmp10;
    double tmp12 = tmp11 * 8;
    double tmp13 = tmp0 + tmp12;
    double tmp14 = tmp13 * 100;
    double tmp15 = tmp14;
    double tmp16 = perf->devinfo.n_eus;
    double tmp17 = tmp16 ? tmp15 / tmp16 : 0;
    double tmp18 = tmp17;
    double tmp19 = bdw__compute_extra__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp20 = tmp19 ? tmp18 / tmp19 : 0;

    return tmp20;
}

/* Media Vme Pipe metric set :: EU Thread Occupancy */
double
bdw__vme_pipe__eu_thread_occupancy__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: 8 A 10 READ FMUL $EuThreadsCount FDIV $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 10];
    double tmp1 = 8 * tmp0;
    double tmp2 = tmp1;
    double tmp3 = perf->devinfo.eu_threads_count;
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;
    uint64_t tmp5 = tmp4;
    uint64_t tmp6 = perf->devinfo.n_eus;
    uint64_t tmp7 = tmp6 ? tmp5 / tmp6 : 0;
    uint64_t tmp8 = tmp7 * 100;
    double tmp9 = tmp8;
    double tmp10 = bdw__vme_pipe__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp11 = tmp10 ? tmp9 / tmp10 : 0;

    return tmp11;
}

/* Media Vme Pipe metric set :: VME Busy */
double
bdw__vme_pipe__vme_busy__read(const struct intel_perf *perf,
                              const struct intel_perf_metric_set *metric_set,
                              uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 3 READ FADD 2 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = bdw__vme_pipe__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* Render Metrics Basic set :: Samplers Busy */
double
chv__render_basic__samplers_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: B 0 READ  B 1 READ UADD $GpuCoreClocks FDIV 2 FDIV 100 FMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = chv__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    double tmp6 = tmp5;
    double tmp7 = 2;
    double tmp8 = tmp7 ? tmp6 / tmp7 : 0;
    double tmp9 = tmp8 * 100;

    return tmp9;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
chv__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: A 29 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 29];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Render Metrics Basic set :: L3 Shader Throughput */
uint64_t
chv__render_basic__l3_shader_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 64 UMUL $EuSlicesTotalCount UMUL 2 UMUL */
    uint64_t tmp0 = chv__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 64;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_slices;
    uint64_t tmp2 = tmp1 * 2;

    return tmp2;
}

/* Compute Metrics Basic set :: Typed Bytes Read */
uint64_t
chv__compute_basic__typed_bytes_read__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
chv__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 2 READ B 3 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Compute Metrics Basic set :: Untyped Bytes Read */
uint64_t
chv__compute_basic__untyped_bytes_read__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 64;

    return tmp3;
}

/* Compute Metrics Basic set :: GTI Ring Throughput */
uint64_t
chv__compute_basic__gti_ring_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 2 READ 128 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = tmp0 * 128;

    return tmp1;
}

/* Compute Metrics Basic set :: GTI Ring Throughput */
uint64_t
chv__compute_basic__gti_ring_throughput__max(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 128 UMUL */
    uint64_t tmp0 = chv__compute_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 128;

    return tmp0;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
sklgt2__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 4 READ 8 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = tmp0 * 8;

    return tmp1;
}

/* Render Metrics Basic set :: L3 Lookup Accesses w/o IC */
uint64_t
sklgt2__render_basic__l3_lookups__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses $ShaderMemoryAccesses UADD */
    uint64_t tmp0 = sklgt2__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) + sklgt2__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator);

    return tmp0;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
sklgt2__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses 64 UMUL */
    uint64_t tmp0 = sklgt2__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Compute Metrics L3 Cache metrics set :: L3 Accesses */
uint64_t
sklgt2__compute_l3_cache__l3_accesses__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ B 2 READ B 3 READ UADD UADD UADD 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp2 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp3 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = tmp1 + tmp4;
    uint64_t tmp6 = tmp0 + tmp5;
    uint64_t tmp7 = tmp6 * 2;

    return tmp7;
}

/* Compute Metrics L3 Cache metrics set :: L3 Total Throughput */
uint64_t
sklgt2__compute_l3_cache__l3_total_throughput__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: $L3Accesses 64 UMUL */
    uint64_t tmp0 = sklgt2__compute_l3_cache__l3_accesses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Compute Metrics Extra set :: EU FPU1 Pipe Active including Ext Math */
double
sklgt2__compute_extra__fpu1_active_adjusted__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: A 8 READ  C 7 READ C 6 READ FADD C 5 READ FADD 8 FMUL FADD 100 FMUL $EuCoresTotalCount FDIV $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 8];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp2 = accumulator[metric_set->c_offset + 6];
    double tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = accumulator[metric_set->c_offset + 5];
    double tmp5 = tmp3 + tmp4;
    double tmp6 = tmp5 * 8;
    double tmp7 = tmp0 + tmp6;
    double tmp8 = tmp7 * 100;
    double tmp9 = tmp8;
    double tmp10 = perf->devinfo.n_eus;
    double tmp11 = tmp10 ? tmp9 / tmp10 : 0;
    double tmp12 = tmp11;
    double tmp13 = sklgt2__compute_extra__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp14 = tmp13 ? tmp12 / tmp13 : 0;

    return tmp14;
}

/* FF Bottlenecks :: EU Thread Occupancy */
double
sklgt2__ff_bottlenecks__eu_thread_occupancy__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: 8 A 17 READ FMUL $EuThreadsCount FDIV $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 17];
    double tmp1 = 8 * tmp0;
    double tmp2 = tmp1;
    double tmp3 = perf->devinfo.eu_threads_count;
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;
    uint64_t tmp5 = tmp4;
    uint64_t tmp6 = perf->devinfo.n_eus;
    uint64_t tmp7 = tmp6 ? tmp5 / tmp6 : 0;
    uint64_t tmp8 = tmp7 * 100;
    double tmp9 = tmp8;
    double tmp10 = sklgt2__ff_bottlenecks__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp11 = tmp10 ? tmp9 / tmp10 : 0;

    return tmp11;
}

/* FF Bottlenecks :: VS is sending vertices to CL */
double
sklgt2__ff_bottlenecks__vs_cl_bypass__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 4 READ FADD 2 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = sklgt2__ff_bottlenecks__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* FF Bottlenecks :: DS Bottleneck */
double
sklgt2__ff_bottlenecks__ds_bottleneck__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: B 1 READ B 5 READ FADD 2 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = sklgt2__ff_bottlenecks__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* FF Bottlenecks :: TE Bottleneck */
double
sklgt2__ff_bottlenecks__te_bottleneck__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: B 2 READ B 6 READ FADD 2 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = sklgt2__ff_bottlenecks__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* Metric set PMA Stall :: STC PMA stall */
double
sklgt2__pma__stall__stc_pma_stall__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ FADD 2 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = sklgt2__pma__stall__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
sklgt4__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ UADD B 3 READ UADD 8 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = tmp4 * 8;

    return tmp5;
}

/* Render Metrics Basic set :: L3 Lookup Accesses w/o IC */
uint64_t
sklgt4__render_basic__l3_lookups__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses $ShaderMemoryAccesses UADD */
    uint64_t tmp0 = sklgt4__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) + sklgt4__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator);

    return tmp0;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
sklgt4__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses 64 UMUL */
    uint64_t tmp0 = sklgt4__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
bxt__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 3 READ B 4 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Compute Metrics Basic set :: Untyped Writes */
uint64_t
bxt__compute_basic__untyped_bytes_written__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 1 READ C 2 READ UADD $EuSlicesTotalCount 64 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = perf->devinfo.n_eu_slices * 64;
    uint64_t tmp4 = tmp2 * tmp3;

    return tmp4;
}

/* Render Metrics Basic set :: Samplers Busy */
double
cnl__render_basic__samplers_busy__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: $SubsliceMask 1 AND $Sampler00Busy FMUL $SubsliceMask 3 >> 1 AND $Sampler10Busy FMUL FADD $SubsliceMask 1 AND $SubsliceMask 3 >> 1 AND FADD FDIV */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    double tmp1 = tmp0 * cnl__render_basic__sampler00_busy__read(perf, metric_set, accumulator);
    uint64_t tmp2 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp3 = tmp2 & 1;
    double tmp4 = tmp3 * cnl__render_basic__sampler10_busy__read(perf, metric_set, accumulator);
    double tmp5 = tmp1 + tmp4;
    uint64_t tmp6 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp7 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp8 = tmp7 & 1;
    double tmp9 = tmp6 + tmp8;
    double tmp10 = tmp5;
    double tmp11 = tmp9;
    double tmp12 = tmp11 ? tmp10 / tmp11 : 0;

    return tmp12;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
cnl__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: $SliceMask 1 AND B 4 READ UMUL $SliceMask 1 >> 1 AND B 5 READ UMUL UADD 8 UMUL */
    uint64_t tmp0 = perf->devinfo.slice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.slice_mask >> 1;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp6 = tmp4 * tmp5;
    uint64_t tmp7 = tmp2 + tmp6;
    uint64_t tmp8 = tmp7 * 8;

    return tmp8;
}

/* Render Metrics Basic set :: L3 Lookup Accesses w/o IC */
uint64_t
cnl__render_basic__l3_lookups__read(const struct intel_perf *perf,
                                    const struct intel_perf_metric_set *metric_set,
                                    uint64_t *accumulator)
{
    /* RPN equation: $SamplerL1Misses $ShaderMemoryAccesses UADD */
    uint64_t tmp0 = cnl__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator) + cnl__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator);

    return tmp0;
}

/* Render Metrics Basic set :: L3 Misses */
uint64_t
cnl__render_basic__l3_misses__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: C 2 READ C 3 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Render Metrics Basic set :: L3 Sampler Throughput */
uint64_t
cnl__render_basic__l3_sampler_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: 64 $SamplerL1Misses UMUL */
    uint64_t tmp0 = 64 * cnl__render_basic__sampler_l1_misses__read(perf, metric_set, accumulator);

    return tmp0;
}

/* Render Metrics Basic set :: L3 Shader Throughput */
uint64_t
cnl__render_basic__l3_shader_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: A 30 READ A 31 READ UADD A 32 READ UADD 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 30];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 31];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 32];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = tmp4 * 64;

    return tmp5;
}

/* Render Metrics Basic set :: GTI Depth Throughput */
uint64_t
cnl__render_basic__gti_depth_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 128  B 6 READ UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = 128 * tmp0;

    return tmp1;
}

/* Render Metrics Basic set :: GTI RCC Throughput */
uint64_t
cnl__render_basic__gti_rcc_throughput__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ UADD 128 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 128;

    return tmp3;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
cnl__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: 64  C 6 READ UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = 64 * tmp0;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
cnl__render_basic__gti_write_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 64  C 7 READ UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = 64 * tmp0;

    return tmp1;
}

/* Render Metrics Basic set :: Samplers Bottleneck */
double
cnl__render_basic__sampler_bottleneck__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: $SubsliceMask 1 AND $Sampler00Bottleneck FMUL $SubsliceMask 3 >> 1 AND $Sampler10Bottleneck FMUL FADD $SubsliceMask 1 AND $SubsliceMask 3 >> 1 AND FADD FDIV */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    double tmp1 = tmp0 * cnl__render_basic__sampler00_bottleneck__read(perf, metric_set, accumulator);
    uint64_t tmp2 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp3 = tmp2 & 1;
    double tmp4 = tmp3 * cnl__render_basic__sampler10_bottleneck__read(perf, metric_set, accumulator);
    double tmp5 = tmp1 + tmp4;
    uint64_t tmp6 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp7 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp8 = tmp7 & 1;
    double tmp9 = tmp6 + tmp8;
    double tmp10 = tmp5;
    double tmp11 = tmp9;
    double tmp12 = tmp11 ? tmp10 / tmp11 : 0;

    return tmp12;
}

/* Compute Metrics Basic set :: EU AVG IPC Rate */
double
cnl__compute_basic__eu_avg_ipc_rate__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: A 9 READ A 10 READ A 11 READ FADD A 9 READ FSUB FDIV 1 FADD */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 9];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 10];
    uint64_t tmp2 = accumulator[metric_set->a_offset + 11];
    double tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = accumulator[metric_set->a_offset + 9];
    double tmp5 = tmp3 - tmp4;
    double tmp6 = tmp0;
    double tmp7 = tmp5;
    double tmp8 = tmp7 ? tmp6 / tmp7 : 0;
    double tmp9 = tmp8 + 1;

    return tmp9;
}

/* Compute Metrics Basic set :: EU Thread Occupancy */
double
cnl__compute_basic__eu_thread_occupancy__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 8 A 13 READ FMUL $EuThreadsCount FDIV $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    double tmp1 = 8 * tmp0;
    double tmp2 = tmp1;
    double tmp3 = perf->devinfo.eu_threads_count;
    double tmp4 = tmp3 ? tmp2 / tmp3 : 0;
    uint64_t tmp5 = tmp4;
    uint64_t tmp6 = perf->devinfo.n_eus;
    uint64_t tmp7 = tmp6 ? tmp5 / tmp6 : 0;
    uint64_t tmp8 = tmp7 * 100;
    double tmp9 = tmp8;
    double tmp10 = cnl__compute_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp11 = tmp10 ? tmp9 / tmp10 : 0;

    return tmp11;
}

/* Compute Metrics Basic set :: Typed Bytes Read */
uint64_t
cnl__compute_basic__typed_bytes_read__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: $SubsliceMask 1 AND B 0 READ UMUL $SubsliceMask 1 >> 1 AND B 1 READ UMUL UADD $SubsliceMask 2 >> 1 AND B 2 READ UMUL UADD $SubsliceMask 3 >> 1 AND B 3 READ UMUL UADD $SubsliceMask 4 >> 1 AND B 4 READ UMUL UADD 64 UMUL */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.subslice_mask >> 1;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp6 = tmp4 * tmp5;
    uint64_t tmp7 = tmp2 + tmp6;
    uint64_t tmp8 = perf->devinfo.subslice_mask >> 2;
    uint64_t tmp9 = tmp8 & 1;
    uint64_t tmp10 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp11 = tmp9 * tmp10;
    uint64_t tmp12 = tmp7 + tmp11;
    uint64_t tmp13 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp14 = tmp13 & 1;
    uint64_t tmp15 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp16 = tmp14 * tmp15;
    uint64_t tmp17 = tmp12 + tmp16;
    uint64_t tmp18 = perf->devinfo.subslice_mask >> 4;
    uint64_t tmp19 = tmp18 & 1;
    uint64_t tmp20 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp21 = tmp19 * tmp20;
    uint64_t tmp22 = tmp17 + tmp21;
    uint64_t tmp23 = tmp22 * 64;

    return tmp23;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
cnl__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: $SubsliceMask 1 AND B 5 READ UMUL $SubsliceMask 1 >> 1 AND B 6 READ UMUL UADD $SubsliceMask 2 >> 1 AND B 7 READ UMUL UADD $SubsliceMask 3 >> 1 AND C 0 READ UMUL UADD $SubsliceMask 4 >> 1 AND C 1 READ UMUL UADD 64 UMUL */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.subslice_mask >> 1;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp6 = tmp4 * tmp5;
    uint64_t tmp7 = tmp2 + tmp6;
    uint64_t tmp8 = perf->devinfo.subslice_mask >> 2;
    uint64_t tmp9 = tmp8 & 1;
    uint64_t tmp10 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp11 = tmp9 * tmp10;
    uint64_t tmp12 = tmp7 + tmp11;
    uint64_t tmp13 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp14 = tmp13 & 1;
    uint64_t tmp15 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp16 = tmp14 * tmp15;
    uint64_t tmp17 = tmp12 + tmp16;
    uint64_t tmp18 = perf->devinfo.subslice_mask >> 4;
    uint64_t tmp19 = tmp18 & 1;
    uint64_t tmp20 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp21 = tmp19 * tmp20;
    uint64_t tmp22 = tmp17 + tmp21;
    uint64_t tmp23 = tmp22 * 64;

    return tmp23;
}

/* Compute Metrics Basic set :: Untyped Bytes Read */
uint64_t
cnl__compute_basic__untyped_bytes_read__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: $EuSubslicesTotalCount $SubsliceMask 1 AND C 2 READ FMUL $SubsliceMask 3 >> 1 AND C 3 READ FMUL FADD FMUL $SubsliceMask 1 AND $SubsliceMask 3 >> 1 AND FADD FDIV 64 UMUL */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    double tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 3];
    double tmp6 = tmp4 * tmp5;
    double tmp7 = tmp2 + tmp6;
    double tmp8 = perf->devinfo.n_eu_sub_slices * tmp7;
    uint64_t tmp9 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp10 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp11 = tmp10 & 1;
    double tmp12 = tmp9 + tmp11;
    double tmp13 = tmp8;
    double tmp14 = tmp12;
    double tmp15 = tmp14 ? tmp13 / tmp14 : 0;
    uint64_t tmp16 = tmp15 * 64;

    return tmp16;
}

/* Compute Metrics Basic set :: Untyped Writes */
uint64_t
cnl__compute_basic__untyped_bytes_written__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: $EuSubslicesTotalCount $SubsliceMask 1 AND C 4 READ FMUL $SubsliceMask 3 >> 1 AND C 5 READ FMUL FADD FMUL $SubsliceMask 1 AND $SubsliceMask 3 >> 1 AND FADD FDIV 64 UMUL */
    uint64_t tmp0 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    double tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 5];
    double tmp6 = tmp4 * tmp5;
    double tmp7 = tmp2 + tmp6;
    double tmp8 = perf->devinfo.n_eu_sub_slices * tmp7;
    uint64_t tmp9 = perf->devinfo.subslice_mask & 1;
    uint64_t tmp10 = perf->devinfo.subslice_mask >> 3;
    uint64_t tmp11 = tmp10 & 1;
    double tmp12 = tmp9 + tmp11;
    double tmp13 = tmp8;
    double tmp14 = tmp12;
    double tmp15 = tmp14 ? tmp13 / tmp14 : 0;
    uint64_t tmp16 = tmp15 * 64;

    return tmp16;
}

/* Memory Reads Distribution metrics set :: GtiL3Reads */
uint64_t
cnl__memory_reads__gti_l3_reads__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: $GtiL3Bank0Reads $GtiL3Bank1Reads UADD $GtiL3Bank2Reads UADD */
    uint64_t tmp0 = cnl__memory_reads__gti_l3_bank0_reads__read(perf, metric_set, accumulator) + cnl__memory_reads__gti_l3_bank1_reads__read(perf, metric_set, accumulator);
    uint64_t tmp1 = tmp0 + cnl__memory_reads__gti_l3_bank2_reads__read(perf, metric_set, accumulator);

    return tmp1;
}

/* Compute Metrics Extended metrics set :: TypedReadsPerCacheLine */
double
cnl__compute_extended__typed_reads_per_cache_line__read(const struct intel_perf *perf,
                                                        const struct intel_perf_metric_set *metric_set,
                                                        uint64_t *accumulator)
{
    /* RPN equation: $EuTypedReads0 $TypedReads0 FDIV */
    double tmp0 = cnl__compute_extended__eu_typed_reads0__read(perf, metric_set, accumulator);
    double tmp1 = cnl__compute_extended__typed_reads0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended metrics set :: TypedWritesPerCacheLine */
double
cnl__compute_extended__typed_writes_per_cache_line__read(const struct intel_perf *perf,
                                                         const struct intel_perf_metric_set *metric_set,
                                                         uint64_t *accumulator)
{
    /* RPN equation: $EuTypedWrites0 $TypedWrites0 FDIV */
    double tmp0 = cnl__compute_extended__eu_typed_writes0__read(perf, metric_set, accumulator);
    double tmp1 = cnl__compute_extended__typed_writes0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics Extended metrics set :: UntypedReadsPerCacheLine */
double
cnl__compute_extended__untyped_reads_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedReads0 $EuA64UntypedReads0 FADD $UntypedReads0 FDIV */
    double tmp0 = cnl__compute_extended__eu_untyped_reads0__read(perf, metric_set, accumulator) + cnl__compute_extended__eu_a64_untyped_reads0__read(perf, metric_set, accumulator);
    double tmp1 = tmp0;
    double tmp2 = cnl__compute_extended__untyped_reads0__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Compute Metrics Extended metrics set :: UntypedWritesPerCacheLine */
double
cnl__compute_extended__untyped_writes_per_cache_line__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: $EuUntypedWrites0 $EuA64UntypedWrites0 FADD $UntypedWrites0 FDIV */
    double tmp0 = cnl__compute_extended__eu_untyped_writes0__read(perf, metric_set, accumulator) + cnl__compute_extended__eu_a64_untyped_writes0__read(perf, metric_set, accumulator);
    double tmp1 = tmp0;
    double tmp2 = cnl__compute_extended__untyped_writes0__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Compute Metrics Extended metrics set :: TypedAtomicsPerCacheLine */
double
cnl__compute_extended__typed_atomics_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuTypedAtomics0 $TypedAtomics0 FDIV */
    double tmp0 = cnl__compute_extended__eu_typed_atomics0__read(perf, metric_set, accumulator);
    double tmp1 = cnl__compute_extended__typed_atomics0__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Metrics L3 Cache metrics set :: L3 Lookup Accesses w/o IC */
uint64_t
cnl__compute_l3_cache__l3_lookups__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: $SliceMask 1 AND C 4 READ UMUL $SliceMask 1 >> 1 AND C 5 READ UMUL UADD 8 UMUL A 32 READ UADD */
    uint64_t tmp0 = perf->devinfo.slice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.slice_mask >> 1;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp6 = tmp4 * tmp5;
    uint64_t tmp7 = tmp2 + tmp6;
    uint64_t tmp8 = tmp7 * 8;
    uint64_t tmp9 = accumulator[metric_set->a_offset + 32];
    uint64_t tmp10 = tmp8 + tmp9;

    return tmp10;
}

/* Compute Metrics L3 Cache metrics set :: L3 Sampler Throughput */
uint64_t
cnl__compute_l3_cache__l3_sampler_throughput__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: 64  $SliceMask 1 AND C 4 READ UMUL $SliceMask 1 >> 1 AND C 5 READ UMUL UADD 8 UMUL UMUL */
    uint64_t tmp0 = perf->devinfo.slice_mask & 1;
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 * tmp1;
    uint64_t tmp3 = perf->devinfo.slice_mask >> 1;
    uint64_t tmp4 = tmp3 & 1;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp6 = tmp4 * tmp5;
    uint64_t tmp7 = tmp2 + tmp6;
    uint64_t tmp8 = tmp7 * 8;
    uint64_t tmp9 = 64 * tmp8;

    return tmp9;
}

/* Compute Metrics L3 Cache metrics set :: Slice0 L3 Bank0 Accesses */
uint64_t
cnl__compute_l3_cache__l3_bank00_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 0 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: Slice0 L3 Bank1 Accesses */
uint64_t
cnl__compute_l3_cache__l3_bank01_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 1 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: Slice1 L3 Bank1 Accesses */
uint64_t
cnl__compute_l3_cache__l3_bank11_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 4 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: Slice1 L3 Bank2 Accesses */
uint64_t
cnl__compute_l3_cache__l3_bank12_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: B 5 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: L3 Accesses */
uint64_t
cnl__compute_l3_cache__l3_accesses__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: $L3Bank00Accesses $L3Bank01Accesses UADD $L3Bank02Accesses UADD $L3Bank10Accesses UADD $L3Bank11Accesses UADD $L3Bank12Accesses UADD */
    uint64_t tmp0 = cnl__compute_l3_cache__l3_bank00_accesses__read(perf, metric_set, accumulator) + cnl__compute_l3_cache__l3_bank01_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp1 = tmp0 + cnl__compute_l3_cache__l3_bank02_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp2 = tmp1 + cnl__compute_l3_cache__l3_bank10_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 + cnl__compute_l3_cache__l3_bank11_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp4 = tmp3 + cnl__compute_l3_cache__l3_bank12_accesses__read(perf, metric_set, accumulator);

    return tmp4;
}

/* Compute Metrics L3 Cache metrics set :: L3 Total Throughput */
uint64_t
cnl__compute_l3_cache__l3_total_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: $L3Accesses 64 UMUL */
    uint64_t tmp0 = cnl__compute_l3_cache__l3_accesses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Metric set HDCAndSF :: Slice0 Subslice0 Non-sampler Shader Access Stalled On L3 */
double
cnl__hdc_and_sf__non_sampler_shader00_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: B 2 READ B 3 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = cnl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice0 Subslice1 Non-sampler Shader Access Stalled On L3 */
double
cnl__hdc_and_sf__non_sampler_shader01_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = cnl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice0 Subslice2 Non-sampler Shader Access Stalled On L3 */
double
cnl__hdc_and_sf__non_sampler_shader02_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: B 6 READ B 7 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = cnl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice1 Subslice0 Non-sampler Shader Access Stalled On L3 */
double
cnl__hdc_and_sf__non_sampler_shader10_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = cnl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice1 Subslice1 Non-sampler Shader Access Stalled On L3 */
double
cnl__hdc_and_sf__non_sampler_shader11_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 2 READ C 3 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 3];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = cnl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_1 :: NonPS Thread Ready For Dispatch on Slice0 Subslice0 */
double
cnl__tdl_1__non_ps_thread00_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: 1  C 2 READ $GpuCoreClocks FDIV FSUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    double tmp1 = tmp0;
    double tmp2 = cnl__tdl_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    double tmp4 = 1 - tmp3;

    return tmp4;
}

/* Metric set TDL_1 :: NonPS Thread Ready For Dispatch on Slice0 Subslice1 */
double
cnl__tdl_1__non_ps_thread01_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: 1  C 3 READ $GpuCoreClocks FDIV FSUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    double tmp1 = tmp0;
    double tmp2 = cnl__tdl_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    double tmp4 = 1 - tmp3;

    return tmp4;
}

/* Metric set TDL_1 :: NonPS Thread Ready For Dispatch on Slice0 Subslice2 */
double
cnl__tdl_1__non_ps_thread02_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: 1  C 4 READ $GpuCoreClocks FDIV FSUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    double tmp1 = tmp0;
    double tmp2 = cnl__tdl_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    double tmp4 = 1 - tmp3;

    return tmp4;
}

/* Metric set TDL_1 :: NonPS Thread Ready For Dispatch on Slice1 Subslice0 */
double
cnl__tdl_1__non_ps_thread10_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: 1  C 5 READ $GpuCoreClocks FDIV FSUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    double tmp1 = tmp0;
    double tmp2 = cnl__tdl_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    double tmp4 = 1 - tmp3;

    return tmp4;
}

/* Metric set TDL_1 :: NonPS Thread Ready For Dispatch on Slice1 Subslice1 */
double
cnl__tdl_1__non_ps_thread11_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: 1  C 6 READ $GpuCoreClocks FDIV FSUB */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    double tmp1 = tmp0;
    double tmp2 = cnl__tdl_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp3 = tmp2 ? tmp1 / tmp2 : 0;
    double tmp4 = 1 - tmp3;

    return tmp4;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
icl__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ UADD 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;

    return tmp3;
}

/* Render Metrics Basic set :: L3 Shader Throughput */
uint64_t
icl__render_basic__l3_shader_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: $ShaderMemoryAccesses 64 UMUL */
    uint64_t tmp0 = icl__render_basic__shader_memory_accesses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
icl__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: 64  B 1 READ B 3 READ UADD B 4 READ UADD B 5 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = 64 * tmp6;

    return tmp7;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
icl__render_basic__gti_write_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 64  B 0 READ B 2 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 64 * tmp2;

    return tmp3;
}

/* Compute Metrics Basic set :: Typed Bytes Read */
uint64_t
icl__compute_basic__typed_bytes_read__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ UADD $EuSubslicesTotalCount UMUL 32 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * perf->devinfo.n_eu_sub_slices;
    uint64_t tmp4 = tmp3 * 32;

    return tmp4;
}

/* Compute Metrics Basic set :: Typed Bytes Written */
uint64_t
icl__compute_basic__typed_bytes_written__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 5 READ C 4 READ UADD $EuSubslicesTotalCount UMUL 32 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * perf->devinfo.n_eu_sub_slices;
    uint64_t tmp4 = tmp3 * 32;

    return tmp4;
}

/* Compute Metrics Basic set :: Untyped Bytes Read */
uint64_t
icl__compute_basic__untyped_bytes_read__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: C 3 READ C 2 READ UADD $EuSubslicesTotalCount UMUL 32 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * perf->devinfo.n_eu_sub_slices;
    uint64_t tmp4 = tmp3 * 32;

    return tmp4;
}

/* Compute Metrics Basic set :: Untyped Writes */
uint64_t
icl__compute_basic__untyped_bytes_written__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 1 READ C 0 READ UADD $EuSubslicesTotalCount UMUL 32 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * perf->devinfo.n_eu_sub_slices;
    uint64_t tmp4 = tmp3 * 32;

    return tmp4;
}

/* Compute Metrics Basic set :: Typed Atomics Accesses */
uint64_t
icl__compute_basic__typed_atomics__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: B 4 READ B 5 READ FADD 2 FDIV $EuSubslicesTotalCount FMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 2;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    double tmp6 = tmp5 * perf->devinfo.n_eu_sub_slices;

    return tmp6;
}

/* Compute Metrics Basic set :: GTI Read Throughput */
uint64_t
icl__compute_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 64  B 1 READ B 3 READ UADD B 6 READ UADD B 7 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = 64 * tmp6;

    return tmp7;
}

/* Compute Extended metrics set :: Eu A32 Untyped Writes 00 */
uint64_t
icl__compute_extended__eu_a32_untyped_writes00__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 1 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    uint64_t tmp2 = tmp0 + tmp1;

    return tmp2;
}

/* Compute Extended metrics set :: Eu 64 Untyped Reads 00 */
double
icl__compute_extended__eu_a64_untyped_reads00__read(const struct intel_perf *perf,
                                                    const struct intel_perf_metric_set *metric_set,
                                                    uint64_t *accumulator)
{
    /* RPN equation: B 5 READ C 1 READ FADD B 6 READ FADD */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 6];
    double tmp4 = tmp2 + tmp3;

    return tmp4;
}

/* Compute Extended metrics set :: TypedAtomicsPerCacheLine */
double
icl__compute_extended__typed_atomics_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: $EuTypedAtomics00 $TypedAtomics00 FDIV */
    double tmp0 = icl__compute_extended__eu_typed_atomics00__read(perf, metric_set, accumulator);
    double tmp1 = icl__compute_extended__typed_atomics00__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Extended metrics set :: TypedReadsPerCacheLine */
double
icl__compute_extended__typed_reads_per_cache_line__read(const struct intel_perf *perf,
                                                        const struct intel_perf_metric_set *metric_set,
                                                        uint64_t *accumulator)
{
    /* RPN equation: $EuTypedReads00 $TypedReads00 FDIV */
    double tmp0 = icl__compute_extended__eu_typed_reads00__read(perf, metric_set, accumulator);
    double tmp1 = icl__compute_extended__typed_reads00__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Extended metrics set :: TypedWritesPerCacheLine */
double
icl__compute_extended__typed_writes_per_cache_line__read(const struct intel_perf *perf,
                                                         const struct intel_perf_metric_set *metric_set,
                                                         uint64_t *accumulator)
{
    /* RPN equation: $EuTypedWrites00 $TypedWrites00 FDIV */
    double tmp0 = icl__compute_extended__eu_typed_writes00__read(perf, metric_set, accumulator);
    double tmp1 = icl__compute_extended__typed_writes00__read(perf, metric_set, accumulator);
    double tmp2 = tmp1 ? tmp0 / tmp1 : 0;

    return tmp2;
}

/* Compute Extended metrics set :: UntypedReadsPerCacheLine */
double
icl__compute_extended__untyped_reads_per_cache_line__read(const struct intel_perf *perf,
                                                          const struct intel_perf_metric_set *metric_set,
                                                          uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 5 READ C 1 READ FADD B 6 READ FADD FADD C 4 READ FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp2 = accumulator[metric_set->c_offset + 1];
    double tmp3 = tmp1 + tmp2;
    uint64_t tmp4 = accumulator[metric_set->b_offset + 6];
    double tmp5 = tmp3 + tmp4;
    double tmp6 = tmp0 + tmp5;
    uint64_t tmp7 = accumulator[metric_set->c_offset + 4];
    double tmp8 = tmp6;
    double tmp9 = tmp7;
    double tmp10 = tmp9 ? tmp8 / tmp9 : 0;

    return tmp10;
}

/* Compute Extended metrics set :: UntypedWritesPerCacheLine */
double
icl__compute_extended__untyped_writes_per_cache_line__read(const struct intel_perf *perf,
                                                           const struct intel_perf_metric_set *metric_set,
                                                           uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 1 READ FADD C 2 READ FADD C 3 READ FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 2];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 3];
    double tmp6 = tmp4;
    double tmp7 = tmp5;
    double tmp8 = tmp7 ? tmp6 / tmp7 : 0;

    return tmp8;
}

/* Compute Metrics L3 Cache metrics set :: Slice0 L3 Bank0 Accesses */
uint64_t
icl__compute_l3_cache__l3_bank00_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 7 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: Slice0 L3 Bank2 Accesses */
uint64_t
icl__compute_l3_cache__l3_bank02_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 5 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: Slice0 L3 Bank3 Accesses */
uint64_t
icl__compute_l3_cache__l3_bank03_accesses__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: C 4 READ 2 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = tmp0 * 2;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: L3 Accesses */
uint64_t
icl__compute_l3_cache__l3_accesses__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: $L3Bank00Accesses $L3Bank01Accesses UADD $L3Bank02Accesses UADD $L3Bank03Accesses UADD $L3Bank04Accesses UADD $L3Bank05Accesses UADD $L3Bank06Accesses UADD $L3Bank07Accesses UADD */
    uint64_t tmp0 = icl__compute_l3_cache__l3_bank00_accesses__read(perf, metric_set, accumulator) + icl__compute_l3_cache__l3_bank01_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp1 = tmp0 + icl__compute_l3_cache__l3_bank02_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp2 = tmp1 + icl__compute_l3_cache__l3_bank03_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 + icl__compute_l3_cache__l3_bank04_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp4 = tmp3 + icl__compute_l3_cache__l3_bank05_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp5 = tmp4 + icl__compute_l3_cache__l3_bank06_accesses__read(perf, metric_set, accumulator);
    uint64_t tmp6 = tmp5 + icl__compute_l3_cache__l3_bank07_accesses__read(perf, metric_set, accumulator);

    return tmp6;
}

/* Compute Metrics L3 Cache metrics set :: L3 Lookup Accesses w/o IC */
uint64_t
icl__compute_l3_cache__l3_lookups__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 6 READ UADD 2 UMUL A 32 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;
    uint64_t tmp4 = accumulator[metric_set->a_offset + 32];
    uint64_t tmp5 = tmp3 + tmp4;

    return tmp5;
}

/* Compute Metrics L3 Cache metrics set :: L3 Sampler Throughput */
uint64_t
icl__compute_l3_cache__l3_sampler_throughput__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: 64  B 7 READ B 6 READ UADD 2 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 2;
    uint64_t tmp4 = 64 * tmp3;

    return tmp4;
}

/* Compute Metrics L3 Cache metrics set :: L3 Total Throughput */
uint64_t
icl__compute_l3_cache__l3_total_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: $L3Accesses 64 UMUL */
    uint64_t tmp0 = icl__compute_l3_cache__l3_accesses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Compute Metrics L3 Cache metrics set :: GTI Read Throughput */
uint64_t
icl__compute_l3_cache__gti_read_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: B 2 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Compute Metrics L3 Cache metrics set :: GTI Write Throughput */
uint64_t
icl__compute_l3_cache__gti_write_throughput__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: B 3 READ 64 UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = tmp0 * 64;

    return tmp1;
}

/* Metric set HDCAndSF :: Slice0 Dualsubslice0 Non-sampler Shader Access Stalled On L3 */
double
icl__hdc_and_sf__non_sampler_shader00_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 0 READ B 7 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice0 Dualsubslice1 Non-sampler Shader Access Stalled On L3 */
double
icl__hdc_and_sf__non_sampler_shader01_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 2 READ C 1 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice0 Dualsubslice2 Non-sampler Shader Access Stalled On L3 */
double
icl__hdc_and_sf__non_sampler_shader02_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 3 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 3];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set HDCAndSF :: Slice0 Dualsubslice3 Non-sampler Shader Access Stalled On L3 */
double
icl__hdc_and_sf__non_sampler_shader03_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: C 6 READ C 5 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* L2Bank0 stalled metric set :: Slice0 L3 Bank0 Stalled */
double
icl__l3_2__l30_bank0_stalled__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: B 0 READ B 1 READ FADD B 2 READ FADD B 3 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 1];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 2];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 3];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = icl__l3_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L2Bank5 stalled metric set :: Slice0 L3 Bank5 Stalled */
double
icl__l3_5__l30_bank5_stalled__read(const struct intel_perf *perf,
                                   const struct intel_perf_metric_set *metric_set,
                                   uint64_t *accumulator)
{
    /* RPN equation: B 2 READ B 3 READ FADD B 0 READ FADD B 1 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 2];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 3];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 0];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 1];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = icl__l3_5__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* Metric set TDL_1 :: VS AVG Active per Thread */
uint64_t
icl__tdl_1__vs_eu_active_per_thread__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: A 13 READ $VsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 13];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = icl__tdl_1__vs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Metric set TDL_1 :: VS AVG Stall per Thread */
uint64_t
icl__tdl_1__vs_eu_stall_per_thread__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 14 READ $VsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 14];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = icl__tdl_1__vs_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Metric set TDL_1 :: FS AVG Active per Thread */
uint64_t
icl__tdl_1__ps_eu_active_per_thread__read(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: A 19 READ $PsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 19];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = icl__tdl_1__ps_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Metric set TDL_1 :: FS AVG Stall per Thread */
uint64_t
icl__tdl_1__ps_eu_stall_per_thread__read(const struct intel_perf *perf,
                                         const struct intel_perf_metric_set *metric_set,
                                         uint64_t *accumulator)
{
    /* RPN equation: A 20 READ $PsThreads UDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 20];
    uint64_t tmp1 = tmp0;
    uint64_t tmp2 = icl__tdl_1__ps_threads__read(perf, metric_set, accumulator);
    uint64_t tmp3 = tmp2 ? tmp1 / tmp2 : 0;

    return tmp3;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice0 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread00_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ B 7 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 7];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice1 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread01_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 0 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 0];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice2 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread02_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 1 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice3 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread03_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 2 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice4 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread04_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 3 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 3];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice5 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread05_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 4 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice6 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread06_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 5 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Metric set TDL_2 :: Non-PS Thread Ready For Dispatch on Slice0 Subslice7 Thread Dispatcher */
double
icl__tdl_2__non_ps_thread07_ready_for_dispatch__read(const struct intel_perf *perf,
                                                     const struct intel_perf_metric_set *metric_set,
                                                     uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 6 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = icl__tdl_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}

/* Render Metrics Basic set :: Sampler Cache Misses */
uint64_t
ehl__render_basic__sampler_l1_misses__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ UADD 8 UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 8;

    return tmp3;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
ehl__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                             const struct intel_perf_metric_set *metric_set,
                                             uint64_t *accumulator)
{
    /* RPN equation: 64  B 5 READ B 4 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 64 * tmp2;

    return tmp3;
}

/* Compute Metrics Basic set :: GTI Read Throughput */
uint64_t
ehl__compute_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: 64  B 7 READ B 6 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 64 * tmp2;

    return tmp3;
}

/* Compute Metrics L3 Cache set :: L3 Lookup Accesses w/o IC */
uint64_t
ehl__compute_l3_cache__l3_lookups__read(const struct intel_perf *perf,
                                        const struct intel_perf_metric_set *metric_set,
                                        uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 6 READ UADD 8 UMUL A 32 READ UADD */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 8;
    uint64_t tmp4 = accumulator[metric_set->a_offset + 32];
    uint64_t tmp5 = tmp3 + tmp4;

    return tmp5;
}

/* Compute Metrics L3 Cache set :: L3 Misses */
uint64_t
ehl__compute_l3_cache__l3_misses__read(const struct intel_perf *perf,
                                       const struct intel_perf_metric_set *metric_set,
                                       uint64_t *accumulator)
{
    /* RPN equation: 2 B 5 READ B 4 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 2 * tmp2;

    return tmp3;
}

/* Compute Metrics L3 Cache set :: L3 Sampler Throughput */
uint64_t
ehl__compute_l3_cache__l3_sampler_throughput__read(const struct intel_perf *perf,
                                                   const struct intel_perf_metric_set *metric_set,
                                                   uint64_t *accumulator)
{
    /* RPN equation: 64  B 7 READ B 6 READ UADD 8 UMUL UMUL */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = tmp2 * 8;
    uint64_t tmp4 = 64 * tmp3;

    return tmp4;
}

/* Compute Metrics L3 Cache set :: GTI L3 Throughput */
uint64_t
ehl__compute_l3_cache__gti_l3_throughput__read(const struct intel_perf *perf,
                                               const struct intel_perf_metric_set *metric_set,
                                               uint64_t *accumulator)
{
    /* RPN equation: $L3Misses 64 UMUL */
    uint64_t tmp0 = ehl__compute_l3_cache__l3_misses__read(perf, metric_set, accumulator) * 64;

    return tmp0;
}

/* Render Metrics Basic set :: EU Active */
double
tglgt1__render_basic__eu_active__read(const struct intel_perf *perf,
                                      const struct intel_perf_metric_set *metric_set,
                                      uint64_t *accumulator)
{
    /* RPN equation: A 7 READ A 8 READ FADD A 9 READ FADD A 10 READ FADD $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 8];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 9];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->a_offset + 10];
    double tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = tmp6;
    uint64_t tmp8 = perf->devinfo.n_eus;
    uint64_t tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* Render Metrics Basic set :: EU Stall */
double
tglgt1__render_basic__eu_stall__read(const struct intel_perf *perf,
                                     const struct intel_perf_metric_set *metric_set,
                                     uint64_t *accumulator)
{
    /* RPN equation: A 11 READ A 12 READ FADD A 13 READ FADD A 14 READ FADD $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 11];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 12];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 13];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->a_offset + 14];
    double tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = tmp6;
    uint64_t tmp8 = perf->devinfo.n_eus;
    uint64_t tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* Render Metrics Basic set :: EU Thread Occupancy */
double
tglgt1__render_basic__eu_thread_occupancy__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: 8 A 15 READ A 16 READ FADD A 17 READ FADD A 18 READ FADD FMUL $EuThreadsCount FDIV $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 15];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 16];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 17];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->a_offset + 18];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = 8 * tmp6;
    double tmp8 = tmp7;
    double tmp9 = perf->devinfo.eu_threads_count;
    double tmp10 = tmp9 ? tmp8 / tmp9 : 0;
    uint64_t tmp11 = tmp10;
    uint64_t tmp12 = perf->devinfo.n_eus;
    uint64_t tmp13 = tmp12 ? tmp11 / tmp12 : 0;
    uint64_t tmp14 = tmp13 * 100;
    double tmp15 = tmp14;
    double tmp16 = tglgt1__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp17 = tmp16 ? tmp15 / tmp16 : 0;

    return tmp17;
}

/* Render Metrics Basic set :: SLM Bytes Read */
uint64_t
tglgt1__render_basic__slm_bytes_read__max(const struct intel_perf *perf,
                                          const struct intel_perf_metric_set *metric_set,
                                          uint64_t *accumulator)
{
    /* RPN equation: $GpuCoreClocks 128 UMUL $EuSubslicesTotalCount UMUL */
    uint64_t tmp0 = tglgt1__render_basic__gpu_core_clocks__read(perf, metric_set, accumulator) * 128;
    uint64_t tmp1 = tmp0 * perf->devinfo.n_eu_sub_slices;

    return tmp1;
}

/* Render Metrics Basic set :: GTI Read Throughput */
uint64_t
tglgt1__render_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                                const struct intel_perf_metric_set *metric_set,
                                                uint64_t *accumulator)
{
    /* RPN equation: 64  C 5 READ C 4 READ UADD C 3 READ UADD C 2 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = 64 * tmp6;

    return tmp7;
}

/* Render Metrics Basic set :: GTI Write Throughput */
uint64_t
tglgt1__render_basic__gti_write_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: 64  C 1 READ C 0 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 1];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 64 * tmp2;

    return tmp3;
}

/* Compute Metrics Basic set :: GTI Read Throughput */
uint64_t
tglgt1__compute_basic__gti_read_throughput__read(const struct intel_perf *perf,
                                                 const struct intel_perf_metric_set *metric_set,
                                                 uint64_t *accumulator)
{
    /* RPN equation: 64  C 7 READ C 6 READ UADD C 5 READ UADD C 4 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = 64 * tmp6;

    return tmp7;
}

/* Compute Metrics Basic set :: GTI Write Throughput */
uint64_t
tglgt1__compute_basic__gti_write_throughput__read(const struct intel_perf *perf,
                                                  const struct intel_perf_metric_set *metric_set,
                                                  uint64_t *accumulator)
{
    /* RPN equation: 64  C 3 READ C 2 READ UADD UMUL */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    uint64_t tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = 64 * tmp2;

    return tmp3;
}

/* L3_1 :: Slice0 L3 Bank0 Input Available */
double
tglgt1__l3_1__l30_bank0_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 0 READ C 1 READ FADD C 2 READ FADD C 3 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 1];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 2];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 3];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__l3_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L3_1 :: Slice0 L3 Bank1 Input Available */
double
tglgt1__l3_1__l30_bank1_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 4 READ C 5 READ FADD C 6 READ FADD C 7 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 4];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 5];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 6];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 7];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__l3_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L3_2 :: Slice0 L3 Bank2 Input Available */
double
tglgt1__l3_2__l30_bank2_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 3 READ B 2 READ FADD B 1 READ FADD B 0 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 2];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 1];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 0];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__l3_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L3_2 :: Slice0 L3 Bank3 Input Available */
double
tglgt1__l3_2__l30_bank3_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: B 7 READ B 6 READ FADD B 5 READ FADD B 4 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->b_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->b_offset + 6];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->b_offset + 5];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->b_offset + 4];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__l3_2__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L3_3 :: Slice0 L3 Bank0 Output Ready */
double
tglgt1__l3_3__l30_bank0_output_ready__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 4;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = tglgt1__l3_3__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* L3_4 :: Slice0 L3 Bank1 Output Ready */
double
tglgt1__l3_4__l30_bank1_output_ready__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: C 5 READ C 4 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 5];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 4];
    double tmp2 = tmp0 + tmp1;
    double tmp3 = tmp2;
    double tmp4 = 4;
    double tmp5 = tmp4 ? tmp3 / tmp4 : 0;
    uint64_t tmp6 = tmp5 * 100;
    double tmp7 = tmp6;
    double tmp8 = tglgt1__l3_4__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;

    return tmp9;
}

/* EuActivity1 :: EU Send Pipe Active */
double
tglgt1__eu_activity1__eu_send_active__read(const struct intel_perf *perf,
                                           const struct intel_perf_metric_set *metric_set,
                                           uint64_t *accumulator)
{
    /* RPN equation: A 15 READ A 16 READ FADD A 17 READ FADD A 18 READ FADD $EuCoresTotalCount UDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 15];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 16];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 17];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->a_offset + 18];
    double tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = tmp6;
    uint64_t tmp8 = perf->devinfo.n_eus;
    uint64_t tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt1__eu_activity1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* EuActivity7 :: EU AVG IPC Rate */
double
tglgt1__eu_activity7__eu_avg_ipc_rate__read(const struct intel_perf *perf,
                                            const struct intel_perf_metric_set *metric_set,
                                            uint64_t *accumulator)
{
    /* RPN equation: A 7 READ A 8 READ FADD A 9 READ FADD A 10 READ FADD  A 11 READ A 12 READ FADD A 13 READ FADD A 14 READ FADD  A 15 READ A 16 READ FADD A 17 READ FADD A 18 READ FADD FADD  A 7 READ A 8 READ FADD A 9 READ FADD A 10 READ FADD FSUB FDIV 1 FADD */
    uint64_t tmp0 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->a_offset + 8];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->a_offset + 9];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->a_offset + 10];
    double tmp6 = tmp4 + tmp5;
    uint64_t tmp7 = accumulator[metric_set->a_offset + 11];
    uint64_t tmp8 = accumulator[metric_set->a_offset + 12];
    double tmp9 = tmp7 + tmp8;
    uint64_t tmp10 = accumulator[metric_set->a_offset + 13];
    double tmp11 = tmp9 + tmp10;
    uint64_t tmp12 = accumulator[metric_set->a_offset + 14];
    double tmp13 = tmp11 + tmp12;
    uint64_t tmp14 = accumulator[metric_set->a_offset + 15];
    uint64_t tmp15 = accumulator[metric_set->a_offset + 16];
    double tmp16 = tmp14 + tmp15;
    uint64_t tmp17 = accumulator[metric_set->a_offset + 17];
    double tmp18 = tmp16 + tmp17;
    uint64_t tmp19 = accumulator[metric_set->a_offset + 18];
    double tmp20 = tmp18 + tmp19;
    double tmp21 = tmp13 + tmp20;
    uint64_t tmp22 = accumulator[metric_set->a_offset + 7];
    uint64_t tmp23 = accumulator[metric_set->a_offset + 8];
    double tmp24 = tmp22 + tmp23;
    uint64_t tmp25 = accumulator[metric_set->a_offset + 9];
    double tmp26 = tmp24 + tmp25;
    uint64_t tmp27 = accumulator[metric_set->a_offset + 10];
    double tmp28 = tmp26 + tmp27;
    double tmp29 = tmp21 - tmp28;
    double tmp30 = tmp6;
    double tmp31 = tmp29;
    double tmp32 = tmp31 ? tmp30 / tmp31 : 0;
    double tmp33 = tmp32 + 1;

    return tmp33;
}

/* L3_1 :: Slice0 L3 Bank0 Input Available */
double
tglgt2__l3_1__l30_bank0_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 7 READ C 6 READ FADD C 5 READ FADD C 4 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 7];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 6];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 5];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 4];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt2__l3_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* L3_1 :: Slice0 L3 Bank1 Input Available */
double
tglgt2__l3_1__l30_bank1_input_available__read(const struct intel_perf *perf,
                                              const struct intel_perf_metric_set *metric_set,
                                              uint64_t *accumulator)
{
    /* RPN equation: C 3 READ C 2 READ FADD C 1 READ FADD C 0 READ FADD 4 FDIV 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->c_offset + 3];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 2];
    double tmp2 = tmp0 + tmp1;
    uint64_t tmp3 = accumulator[metric_set->c_offset + 1];
    double tmp4 = tmp2 + tmp3;
    uint64_t tmp5 = accumulator[metric_set->c_offset + 0];
    double tmp6 = tmp4 + tmp5;
    double tmp7 = tmp6;
    double tmp8 = 4;
    double tmp9 = tmp8 ? tmp7 / tmp8 : 0;
    uint64_t tmp10 = tmp9 * 100;
    double tmp11 = tmp10;
    double tmp12 = tglgt2__l3_1__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp13 = tmp12 ? tmp11 / tmp12 : 0;

    return tmp13;
}

/* Metric set HDCAndSF (DG1) :: Slice0 Dualsubslice5 Non-sampler Shader Access Stalled On L3 */
double
dg1__hdc_and_sf__non_sampler_shader05_access_stalled_on_l3__read(const struct intel_perf *perf,
                                                                 const struct intel_perf_metric_set *metric_set,
                                                                 uint64_t *accumulator)
{
    /* RPN equation: GPU_CLOCK 0 READ C 7 READ FSUB 100 UMUL $GpuCoreClocks FDIV */
    uint64_t tmp0 = accumulator[metric_set->gpu_clock_offset + 0];
    uint64_t tmp1 = accumulator[metric_set->c_offset + 7];
    double tmp2 = tmp0 - tmp1;
    uint64_t tmp3 = tmp2 * 100;
    double tmp4 = tmp3;
    double tmp5 = dg1__hdc_and_sf__gpu_core_clocks__read(perf, metric_set, accumulator);
    double tmp6 = tmp5 ? tmp4 / tmp5 : 0;

    return tmp6;
}
